commit f7ed35e760e071bde2b1b27b0b6ccb2cc5699530
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sat Aug 14 15:04:53 2010 +0200

    Bumped version number.


commit 46245cead44e7023c62129e0ac0c43738d5c206c
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sat Aug 14 15:04:39 2010 +0200

    Revised list of prerequisites.


commit cc942d87fec080a51c3a57a626222295745c8b3a
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sat Aug 14 15:02:47 2010 +0200

    Use the hashlib module (this change is based on the patch provided by Fabian Affolter).


commit 004130c493aad6ccc079a0e5f47d1832219379c1
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sat Aug 14 14:34:18 2010 +0200

    Dropped the NEWS file.

 delete mode 100644 NEWS

commit 3f2af63e89f8c6a3c9c0615a81b043af853b2280
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sat Aug 14 12:49:56 2010 +0200

    Updated copyright notice.


commit 2fab44d2f17039c8a707184299f6b5a1523dc726
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Tue Sep 18 05:46:23 2007 +0200

    Updated version information in the repository.
    
    darcs-hash:20070918034623-6d791-9b51c3fc70675792ae222e92233cf8becb112e77.gz


commit c745a8583dd385edcae4dd1247abcdeee8be5f0b
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Wed Jul 18 22:32:54 2007 +0200

    Fixed a bug triggered by Python 2.5
    
    darcs-hash:20070718203254-6d791-c065247a9de950fc4c34c83a3e3b27bf1e3d96f5.gz


commit 3a516c3deb39f9af999f12c5f93156c35deaa8f6
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Wed Jul 18 22:32:33 2007 +0200

    Added the THANKS file to the distribution
    
    darcs-hash:20070718203233-6d791-cf8dd82cb4c3136ae7aec1ba34a131e587126250.gz


commit 1035545789115748c2f69b8cb6fdd18126f7088f
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Tue May 29 20:56:58 2007 +0200

    Added THANKS file
    
    darcs-hash:20070529185658-6d791-938f85309d1e8fa69de0d2068b09ce2b2a478027.gz

 create mode 100644 THANKS

commit 89e52ddd97ca436f77dcebc4767c8c706da92fd1
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Tue May 29 20:36:17 2007 +0200

    Bumped version number
    
    darcs-hash:20070529183617-6d791-a10c8c101c1f51fdea7407091abfe5111fbab740.gz


commit 6c741f87cec06fee7c7c2735b90fda7217c6d3aa
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Tue May 29 20:30:28 2007 +0200

    Fixed an incorrectly named exception.  Noticed by Andres Riancho (http://w3af.sourceforge.net/)
    
    darcs-hash:20070529183028-6d791-b3a5e6e635b9e236b40663256c98d3f20cebfa44.gz


commit 1fc6bfa2cc02c9bf2be2c5ee9bf4073cb49414a4
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Tue May 29 20:28:01 2007 +0200

    Forgot to distribute a copy of the GPL
    
    darcs-hash:20070529182801-6d791-9b89de72f7ef01dfb8322c72548a0f9db9b0ecad.gz


commit 72e25b60259aecb9fbd6d47fbef42d4e5fb7261b
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Mon Sep 18 12:42:03 2006 +0200

    Further modifications to warning messages.
    
    darcs-hash:20060918104203-6d791-42ae3c5dcf9c520d965e0093f116124776f38856.gz


commit 0ccc7400ba1715741e12d81203303b627eb17267
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Mon Sep 18 12:03:45 2006 +0200

    Enhanced warning during the clue analysis stage.
    
    darcs-hash:20060918100345-6d791-dc7f97279a13e025e65cc4946386dee8713b323c.gz


commit 7230e6cd55eb6509be465f7542f50b59f33994f9
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sun Sep 17 15:18:21 2006 +0200

    Further improvements towards compatibility with older Python versions.
    
    darcs-hash:20060917131821-6d791-e995258f9880a23b198d5cb83593e0d45b0f4e86.gz


commit 4dd993da6d3160c66c41889e5a968c2cc00522b0
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sat Sep 16 18:13:38 2006 +0200

    Updated email address.
    
    darcs-hash:20060916161338-6d791-283ce3f0ce018a14918cb8733dbb87bdf117f75e.gz


commit 3677fe716a7f9e6dceff0785217d674a1bc5095a
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sat Sep 16 17:59:36 2006 +0200

    Updated documentation to reflect compatibility with Python 2.3.*
    
    darcs-hash:20060916155936-6d791-529043c5d8240ee72a2a6874e4c1f9c50ea96ea8.gz


commit f629fe9b3c1a19f1a1e9de2c5f68516f10f8c8a9
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Sat Sep 16 14:00:50 2006 +0200

    Replaced list.sort(key
    
    darcs-hash:20060916120050-6d791-7bac16b5722044e3ef687fa956cd15367550a8cf.gz


commit 3f88c388678b673c12c5653cb5e899cdef1296c9
Author: Juan M. Bello Rivas <jmbr@superadditive.com>
Date:   Thu Sep 7 17:45:14 2006 +0200

    Removed reference to a stale file name in README.
    
    darcs-hash:20060907154514-6d791-8722662e7cd9822b26ac3873e639b8f18424987f.gz


commit 93f634435b65e42d4934dc039aa86061f489e5cc
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Tue Aug 29 00:07:58 2006 +0200

    Fixed a bug which prevented human readable reports from being saved.
    
    darcs-hash:20060828220758-d00bf-5ddbc51e15677ffec77dfd01c8dd214969d8cfc0.gz


commit 9bb76eaaf1137827fcd6c50f7f7434729437cb7a
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Mon Aug 28 23:34:42 2006 +0200

    Fixed a bug in Halberd.clues.analysis.reanalyze that would provide incorrect information to the user in certain cases.
    
    darcs-hash:20060828213442-d00bf-dbff6aa6a390ece78a7fb9fc1701267913742e77.gz


commit 2e72f657bc3e3ec7bf91d9bd0fc53724c220a303
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 24 19:07:23 2006 +0200

    Added the NEWS file to the distribution.
    
    darcs-hash:20060824170723-d00bf-55491ff74c3fe5ebfc08b606e0bf3934f0f457a0.gz

 create mode 100644 NEWS

commit 1b2283f915d62469daed9495d4000d4b4b15af4b
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 24 18:38:24 2006 +0200

    Bumped version number
    
    darcs-hash:20060824163824-d00bf-b8bc49d63fba95c3eecfc719302cfa0a4cb916b8.gz


commit 3be265e1725bce4461cc18c774e41cab4f9e570d
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 24 18:37:39 2006 +0200

    Synced the classifiers with those on cheeseshop.python.org/pypi
    
    darcs-hash:20060824163739-d00bf-9fe71d5fd41e2721f33641dbb292bd9da3709092.gz


commit 4a6865c4187102a788ccbf057900a0a9b65964a6
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Sat Aug 19 12:45:03 2006 +0200

    Removed outdated TODO document from the distribution.
    
    darcs-hash:20060819104503-d00bf-d0ec7c75d728d980c03090e03fa8c878ff149cda.gz

 delete mode 100644 TODO

commit da204b9d2f5135c4c20d615723e048afd81ea082
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Mon Aug 29 00:17:40 2005 +0200

    Redistributed TODO file.
    
    darcs-hash:20050828221740-abeea-3a45776de1e6ab70d61a81a86f7c1d677e09ed35.gz


commit 5c1b309656210073e8348c83c5a0e0595c0c8f2a
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 18:54:38 2005 +0200

    Moved some pending task from the TODO list to the issue tracker.
    
    darcs-hash:20050828165438-abeea-56604d68c8a352d1ceb858df1762b990e3439cba.gz


commit f2d78ae46ae511d65ba95e11770e6f8157853d56
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 14:54:52 2005 +0200

    Removed a debugging print from ScanTask.
    
    darcs-hash:20050828125452-abeea-4ba4ea9ff048608da9d44ddf468dcebb4dca821f.gz


commit 6f8a743f736ed5f2e4a89e9d7c20b806fa4622b8
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 14:44:52 2005 +0200

    Removed the distributed (RPC) scanning feature from the stable branch.
    
    darcs-hash:20050828124452-abeea-28394b335d9fdc766f7981155e15aee6d9210b73.gz

 delete mode 100644 Halberd/RPCServer.py

commit d2afa501576bb4e664488ebde1bd5938748db4d4
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Mon Aug 21 12:49:22 2006 +0200

    Corrected a spelling error in the user's guide.
    
    darcs-hash:20060821104922-d00bf-e824b61f7ac0494bfb4deb803405eea187de7802.gz


commit 6f6f9942e04ad486cc6aee26c66223b7398e00f2
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Mon Aug 21 00:40:33 2006 +0200

    Made some corrections to the documentation.
    
    darcs-hash:20060820224033-d00bf-35ce091b284d836c886d9cb47bcb55b99d115747.gz


commit 3f47e281d8314967703f7f5f1e756dc9b28e9e55
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 04:34:45 2006 +0200

    Dropped the overview.html makefile target and the dependency on docutils.
    
    darcs-hash:20060817023445-d00bf-99cc891e26a8fde5930b4860fe3acbf6623ac88d.gz


commit 5b57685ae4e2fd138e4059ae4932d3cc2dccbd1e
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 03:10:58 2006 +0200

    Bumped the version number.
    
    darcs-hash:20060817011058-d00bf-e33b6622acd6d84ef67a34ada1910c55b6ebb38e.gz


commit d790e93dfad338553edcf13896a5804344d5ce78
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Sun Aug 20 11:37:23 2006 +0200

    Reduced default_scantime to 15 seconds.
    
    darcs-hash:20060820093723-d00bf-8c4a762ddc02812b4612119f26f73e16424ce0fd.gz


commit bba74b156a2f9c15d35bfa7c4bc928bffd8afbb3
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Sat Aug 19 02:09:31 2006 +0200

    Implemented a sanity check at the end of ignore_changing_fields.
    
    darcs-hash:20060819000931-d00bf-3cef826ca852203014b4c34cf7230f315fcb7496.gz


commit a0cc077436d8c2dbfc839d7f921f966cb8bc25b0
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 18:01:12 2006 +0200

    More documentation rewrites.
    
    darcs-hash:20060817160112-d00bf-93dc402e590791769057deb52a119b368774b718.gz


commit 25988745cf80986b20d18e06eac1a5c8b281907f
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 03:38:42 2006 +0200

    Dropped doc/overview.txt
    
    darcs-hash:20060817013842-d00bf-6ff72f9e59280212826fc5f6d463d09ceb93692d.gz

 delete mode 100644 doc/overview.txt

commit 49a8cf0e3542c691d8e48bd6a5e30d26f7785981
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 03:10:34 2006 +0200

    Updated the project URL in setup.py
    
    darcs-hash:20060817011034-d00bf-5061a026157fcc326682c7baea4dd6c942503f71.gz


commit 4c1cea2246143c1bce9582cdf7f8c2d8a4d589ac
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 03:10:04 2006 +0200

    Updated copyright notice in the scripts/halberd
    
    darcs-hash:20060817011004-d00bf-db91e094765c6dee7044b1381f902b32324bb3c6.gz


commit 70058f109b0c3b2f52c14ab286bafb38a0bd253a
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 03:09:18 2006 +0200

    Produce PDF manual by default and added LaTeX2HTML target.
    
    darcs-hash:20060817010918-d00bf-bac213daf40a6b2ffeac5fa32d2053a3fc8add29.gz


commit c2b23b8ee5cd040411ba02f563f1aef52f20d24b
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 03:07:19 2006 +0200

    Major documentation effort.
    
    darcs-hash:20060817010719-d00bf-d38d3fe3950d0bb276ef79b49fd5cac131867715.gz


commit 9c915fef09d18fb91f8f68f2c84bb11704c70cae
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Thu Aug 17 03:06:32 2006 +0200

    Updated darcs' path in main makefile.
    
    darcs-hash:20060817010632-d00bf-37459402939f2023bd6e02aeea06b8ef7f343251.gz


commit 0e0eae7bc51820a9ec368c3545ac76f40c01f91a
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Wed Aug 16 01:31:31 2006 +0200

    Added some more explanations to the HACKING document.
    
    darcs-hash:20060815233131-d00bf-f23ce65d89734d885e2c582dfd227cbf93450b3b.gz


commit bef21fc9eda3819f7834a8c98affa599770d025f
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Wed Aug 16 01:18:56 2006 +0200

    Added Halberd/version.py to the repository.
    
    darcs-hash:20060815231856-d00bf-11c92362f7d7d4495a0f4eada4886cbac9ee2421.gz

 create mode 100644 Halberd/version.py

commit 62bb9c59f5c13a7beb9f67abb1ccc188c9b564bf
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Tue Aug 15 15:01:45 2006 +0200

    Created the HACKING document.
    
    darcs-hash:20060815130145-d00bf-226676be26212c3175343b9faf3870baf6f62028.gz

 create mode 100644 HACKING

commit 11d752706e93fbac3bc8d398e704239fef35d331
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Tue Aug 15 02:00:34 2006 +0200

    Updated copyright notice and contact information.
    
    darcs-hash:20060815000034-d00bf-fab743de4967e972286e1b30d67c2f370317d842.gz


commit 224ac2270c3ad9739b35bbad587fae3952e28736
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Tue Aug 15 01:50:39 2006 +0200

    Minor cleanups in setup.py
    
    darcs-hash:20060814235039-d00bf-75a1cb1edbf103a2443cd09d79a6e96c30591e26.gz


commit c271ea76404986baea885fc33ac50ff2e9481f72
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Tue Aug 15 01:50:21 2006 +0200

    Improved documentation
    
    darcs-hash:20060814235021-d00bf-ae2b9507529753a41b5a2d467b6dab50eb784f8f.gz


commit c63bcf50f64f17deaa7aec792c8237ba1e926f3f
Author: Juan M. Bello Rivas <jmbr+halberd@superadditive.com>
Date:   Tue Aug 15 01:48:42 2006 +0200

    Included INSTALL in MANIFEST.in
    
    darcs-hash:20060814234842-d00bf-3910ee4d53b389ffe09b06ff9ceff9993d148bcd.gz


commit abb835e161a2769745dd0c7d60cbd7087ae9643a
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Wed Aug 31 23:52:28 2005 +0200

    Documentation enhancements.
    
    darcs-hash:20050831215228-abeea-c2e513b12dd13927a991d709d9b75452959f4b77.gz


commit cf8f6a10211ce30e6373998ca350bc83f02ee793
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Wed Aug 31 23:51:15 2005 +0200

    Trimmed stale code.
    
    darcs-hash:20050831215115-abeea-9de98b669ca8d086795362128898f53f1a85a17c.gz


commit 91d69ddfcda5386d7c11ee34790c39437d4f8862
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Wed Aug 31 23:50:15 2005 +0200

    Inserted pylint in the development toolchain.
    
    darcs-hash:20050831215015-abeea-c97241e17ebad35a803ba82ab968d979c846a8eb.gz


commit 71fd1e56a88f99fc9613f929c86def95aad4d447
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Wed Aug 31 23:02:39 2005 +0200

    Wrote makefile targets for cleaning the doc directory.
    
    darcs-hash:20050831210239-abeea-2941624f5f73e45d48b83c19c88b46b1a2f248db.gz


commit be578e1e590abb1d36fceee05e62d67d059443fb
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Wed Aug 31 13:03:18 2005 +0200

    Wrote the layout for the user's guide.
    
    darcs-hash:20050831110318-abeea-a4c7773c37670d3e34a77c23162a18ca2e1af5e1.gz

 create mode 100644 doc/GNUmakefile
 create mode 100644 doc/manual.tex

commit 6731677a91106a241cffe02335e2326bdcd88406
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Wed Aug 31 13:00:58 2005 +0200

    Removed dangling reST markup in README.
    
    darcs-hash:20050831110058-abeea-8f9fcd127915893ec5dc4cee94ab85e03b0a1b3c.gz


commit d14dc4967d2b574b9a8d57228452301d9f6f08d7
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Wed Aug 31 12:58:20 2005 +0200

    Fixed a problem with the install target in GNUmakefile (it wouldn't install the man page).
    
    This fix is only relevant for internal development.
    
    darcs-hash:20050831105820-abeea-a8ad2b3352858c88a2ca3971d58608f53d0585d4.gz


commit 7ea6268421457ae6aa817b2ea9a1ffe6d3a889cd
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Mon Aug 29 05:52:34 2005 +0200

    Arranged the program so that man pages can be generated automatically by GNU help2man.
    
    darcs-hash:20050829035234-abeea-0104d6de345b4cc79fa79303355f4f56b78510d0.gz

 create mode 100644 help2man.cfg

commit 194a61e62a912fb18cc0803a8aabe6be4ba1901d
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Mon Aug 29 05:50:16 2005 +0200

    Dropped references to obsolete code in the makefile.
    
    darcs-hash:20050829035016-abeea-b46c43b069431227b05357a0c68a2b14350d88e0.gz


commit f52e6c28bd968d11752258076e9aeb92c5b6f6e2
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Mon Aug 29 00:16:38 2005 +0200

    Edited README document.
    
    darcs-hash:20050828221638-abeea-21649390f18ddb766e34c534d3279be5ecaf5f12.gz


commit ecb3ba99f50314455ede3704b7dd257804457d1c
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Mon Aug 29 00:15:42 2005 +0200

    Wrote INSTALL document.
    
    darcs-hash:20050828221542-abeea-227347ecf13ecc9f2503bdb4e34621e47cbdedbc.gz

 create mode 100644 INSTALL

commit 54c60b7f1e80176f200b0aa6844dc800ccfb8642
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 15:21:17 2005 +0200

    Removed __revision__ strings from sources.
    
    darcs-hash:20050828132117-abeea-8d9066e1f048ab63bf12db435e4236b4c04818ec.gz


commit 85fc41deb23a99dd1d9e48eff7694c28df0376f9
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 14:44:00 2005 +0200

    Modified the install target in the makefile to ease local testing.
    
    darcs-hash:20050828124400-abeea-49d25dc8dd72482446a95ee1a8d34ea439cdd26d.gz


commit 497909ff9db570808703832e894cb24d61fd993c
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 14:17:39 2005 +0200

    Added two new items.
    
    darcs-hash:20050828121739-abeea-d3f0e1a8f73f6ef0e7a8a0845b9ed5dcba5953ab.gz


commit 7d801a5840c38645aa81f16a5f04dc51aadcdf8a
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 14:09:34 2005 +0200

    Removed left-over code from transition to darcs.
    
    darcs-hash:20050828120934-abeea-8193673a21f2747492a46ec2fd83f88fe4745449.gz

 delete mode 100644 Halberd/shell/__init__.py
 delete mode 100644 Halberd/shell/strategy.py

commit da40fe9a92edbf6aa3c8bc48eaa0854473d88b4e
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 14:01:18 2005 +0200

    Replaced the external hosts used for testing with more reliable ones.
    
    darcs-hash:20050828120118-abeea-dc0ca221d6a3e9967f76bf81ba7c9407df713687.gz


commit c5906ece793467be7760d55a975f8e94df9c14ab
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 14:00:55 2005 +0200

    Changed one of the pending tasks.
    
    darcs-hash:20050828120055-abeea-6f028f675afeaf884952728d10256e63948467c1.gz


commit f774391f6cd4ab30c791b8ee418332e9c07724a8
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 13:57:00 2005 +0200

    Updated email address.
    
    darcs-hash:20050828115700-abeea-9eb9d81c8317a38601268f893511f17f3e25e1eb.gz


commit 205e05bea9c0724d3f644d8c719d23912053d749
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 13:50:02 2005 +0200

    Updated the program's description.
    
    darcs-hash:20050828115002-abeea-81c8075a624f89aa81cf13f0a4b2b036a5e5b5c5.gz


commit de86f83a14e389e58add92373a5025b080071ba6
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 13:29:24 2005 +0200

    Fixed the ChangeLog target to use darcs instead of the old cvs2cl.pl script
    
    darcs-hash:20050828112924-abeea-29d3381ae0d5ba98ce7990cdba42bc6840759122.gz


commit 80f5157d4af0486f1b21fbfaf3ea0a7142eafbe2
Author: Juan M. Bello Rivas <jmbr@acm.org>
Date:   Sun Aug 28 13:21:06 2005 +0200

    Removed dependency on docutils' default stylesheet.
    
    darcs-hash:20050828112106-abeea-c5e28f03c3955123ffa97e9d43f69a4383ef1b70.gz


commit 891a229ec59212ff06947b1fc75bce93a31b0acf
Author: rwx <jmbr@superadditive.com>
Date:   Sun Aug 28 12:48:07 2005 +0200

    Moved the main program 'halberd' to the new 'scripts' directory to avoid
    
    Moved the main program 'halberd' to the new 'scripts' directory to avoid
    conflicts with case-insensitive file-systems.
    
    darcs-hash:20050828104807-a3a09-53d23267d880a80df34dfb33b45117fb591f9ade.gz


commit 82ba4b158908465db344c5514e3f1cd39a75bfea
Author: rwx <jmbr@superadditive.com>
Date:   Sun Aug 28 11:18:44 2005 +0200

    Got rid of some pending items.  Added some more.
    
    darcs-hash:20050828091844-a3a09-4a95ec7c745b808c1b77b78c62d7abe38fe7d576.gz


commit 4a5180ca4dddda4794afb4f84c513f4c08167c60
Author: rwx <jmbr@superadditive.com>
Date:   Sun Aug 28 11:18:26 2005 +0200

    Clarified the --help message.
    
    darcs-hash:20050828091826-a3a09-2e55888e74bc4ab35ef3c7ffa8a6b809645f6fd8.gz


commit a3143fa3e5c66a3cb969c8ca2e8a4b7671882d4e
Author: rwx <jmbr@superadditive.com>
Date:   Sun Aug 28 11:17:40 2005 +0200

    Enforced docstring-revision-copyright convention
    
    darcs-hash:20050828091740-a3a09-6203c820ed357df905b88693ca9200512b7f26fd.gz


commit 12df28105b08b54cc0d0b621dfbb76e3dfee3cdb
Author: rwx <jmbr@superadditive.com>
Date:   Sun Aug 28 11:17:05 2005 +0200

    Fixed an error in a docstring.
    
    darcs-hash:20050828091705-a3a09-1802b5f98b916fc9d1452690ce95446284844192.gz


commit 4437d66ddfde5f393c12901cf6d4242ae35557b4
Author: rwx <jmbr@superadditive.com>
Date:   Sun Aug 28 11:15:59 2005 +0200

    Removed internal TODO from the distribution file.
    
    darcs-hash:20050828091559-a3a09-f150beab50f307b982d7fe102e5b1ab4ece3331d.gz


commit 5229aa5a168b841ed0ebc7f62c3f094b1b57f6d8
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 15:44:53 2005 +0200

    Pretty print headers when halberd is invoked with the --debug parameter.
    
    darcs-hash:20050827134453-a3a09-6f57c43786f278ec390d71fb3691427c4248a167.gz


commit 626d017ea51ab71b9598a69fed58469ce8f2ab87
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 15:14:46 2005 +0200

    Fixed a bug related to MIME header manipulation.
    
    darcs-hash:20050827131446-a3a09-17db0ddf10b095e01c86a99a0a2f3c8fefe9b444.gz


commit 4e3c8214942f680d414887f839270ed7e23281b5
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 14:21:42 2005 +0200

    Updated to take into account the modifications in Halberd.clientlib.
    
    darcs-hash:20050827122142-a3a09-2b862133304f6a3642a3b1fefaf50bbe5f93ce15.gz


commit a6152114b69e4fd172cf198e2dfaf50365f2d917
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 14:20:49 2005 +0200

    Wrote a notice about the dependency of test_clientlib.py on
    
    Wrote a notice about the dependency of test_clientlib.py on
    Halberd.clientlib.default_template.
    
    darcs-hash:20050827122049-a3a09-0d07634a117f40b6a3acb0415ee9a4304dad2ba1.gz


commit df9274ddcae21dec68954dcc65eefd58a29d6bad
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 14:13:44 2005 +0200

    Updated default_template with Firefox headers.
    
    Updated default_template with Firefox headers.
    Added the port number to the Host header field in HTTPClient._fillTemplate()
    
    darcs-hash:20050827121344-a3a09-db7b472d310fcd684db83522fc50ea192149f2d3.gz


commit 21e07162eb8f29573e6555e03f9c3863e7843e7c
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 13:58:53 2005 +0200

    Documented the fact that halberd requires Python 2.4 or above.
    
    darcs-hash:20050827115853-a3a09-bc9b09e0b0189ea56ce519ab6f693edb74759a54.gz


commit 1580b45b4713f01a71848c42432f1c775f3b4fb9
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 13:41:49 2005 +0200

    Replaced the functions unzip, decorate_and_sort and undecorate with a (Python
    
    Replaced the functions unzip, decorate_and_sort and undecorate with a (Python
    2.4 specific) call to list.sort(key
    
    darcs-hash:20050827114149-a3a09-22cf8e36ff2897af844556c6c763e55783aea6bc.gz


commit 78fec5d4b7e4242fc486a19d0afe9d07841a4993
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 03:36:05 2005 +0200

    Replaced the implementation of deltas() with a shorter and more reliable one.
    
    darcs-hash:20050827013605-a3a09-654b831da23dfb316ab07b4ca5b892b6c83e7dc7.gz


commit 45bac865d93ad36aa4d6ae3ed83f6dcef03b49c7
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 03:06:16 2005 +0200

    Corrected a mistake in the license name.
    
    darcs-hash:20050827010616-a3a09-7dda19cc1182db58aa38fc686342bf880995ad54.gz


commit e056c2b9d551b4dcf981a11687caa974bc760139
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 27 03:05:19 2005 +0200

    Minor changes to an output message.
    
    darcs-hash:20050827010519-a3a09-3f3baa48c32483fecc924e1cefe9f5bbfb90013b.gz


commit 3e294df4aaaef2f10816a960203971b028e6c6d4
Author: rwx <jmbr@superadditive.com>
Date:   Fri Aug 26 14:15:57 2005 +0200

    One more task added to the list.
    
    darcs-hash:20050826121557-a3a09-63a3e301b4e5766a6a47a5a775197d23102d6c19.gz


commit efcfb4171c1acb52b09c53e3981ab08aabf0940b
Author: rwx <jmbr@superadditive.com>
Date:   Fri Aug 26 14:14:56 2005 +0200

    Added another item to the TODO list.
    
    darcs-hash:20050826121456-a3a09-c7788802eea1e0350fb2f6501c795a1b2f09d08f.gz


commit 5c66b0a12efd84820a4e939fe899661e5eb4d749
Author: rwx <jmbr@superadditive.com>
Date:   Fri Aug 26 14:14:01 2005 +0200

    Renamed main program from 'halberd.py' to 'halberd'
    
    darcs-hash:20050826121401-a3a09-0edf6eb8f555f0577a9b4c13b9c2708b20e622be.gz


commit eaa229781e78a4f3b5ada42445b4bf02cf01da51
Author: rwx <jmbr@superadditive.com>
Date:   Fri Aug 26 14:06:11 2005 +0200

    Renamed the hlbd module to Halberd in the whole source tree.
    
    darcs-hash:20050826120611-a3a09-0f7cfaca9d31a6616daa7e3c5859ee9639400d12.gz


commit b5c3006851dad92cf7e6b46d1be5accd918108d7
Author: rwx <jmbr@superadditive.com>
Date:   Fri Aug 26 14:05:39 2005 +0200

    Updated the TODO list.
    
    darcs-hash:20050826120539-a3a09-336fc77af573e8f961b0b753ba0829a15e7517a1.gz


commit 207da97b33edfd6c68bf87888323d438e6a06c3b
Author: rwx <jmbr@superadditive.com>
Date:   Fri Aug 26 13:44:21 2005 +0200

    Enforced the docstring-revision-copyright convention in every file.
    
    darcs-hash:20050826114421-a3a09-e850d00fee4a23d13ec7a9afe822576f4fef2772.gz

 delete mode 100644 THANKS

commit 2fe96ae784a03b423935f4fb5c11c2cac997bee3
Author: rwx <jmbr@superadditive.com>
Date:   Sat Aug 21 08:42:39 2004 +0200

    Made some assorted corrections and remarks.
    
    darcs-hash:20040821064239-a3a09-ab33730bab2ae36f2085e726c088892183f95565.gz


commit 7e784cb3c106cdb03556fb0fb7a6b406c9e9b290
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 11 13:36:08 2004 +0200

    Improved reStructuredText output.
    
    darcs-hash:20040411113608-a3a09-40caf18e602c65ed9f3158f8af030ae83bdfc5e9.gz


commit deadc98796d27abeae3dd14e609567306a0d0fa9
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 11 13:35:47 2004 +0200

    Updated documentation.
    
    darcs-hash:20040411113547-a3a09-14d9701217e81296422befeafd7eca2715b82c5b.gz


commit 2275b0f145509eca55af3482675e2a70306b0808
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 11 13:35:23 2004 +0200

    Did some error checking and code clean-up.
    
    darcs-hash:20040411113523-a3a09-0f801e5ee851a65d6667e2450bc3f860ae43109d.gz


commit 6783de3dd907dea2beb525890d92382e13c4db1c
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 11 13:34:53 2004 +0200

    Documented the functions.
    
    darcs-hash:20040411113453-a3a09-c25cd4b7b8f80216fd1305773a450c1370360769.gz


commit db0c52f2643f2c1745c11945ac649321e917cc45
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 11 13:34:29 2004 +0200

    Catches KeyboardInterrupt cleanly.
    
    darcs-hash:20040411113429-a3a09-37cf4fb3285dec8aa305e83b5d63c5bbc6c37be1.gz


commit f241206a926b3c309cf0eef1a53ce5965495f0be
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 11 13:34:10 2004 +0200

    Updated some instructions.
    
    darcs-hash:20040411113410-a3a09-18ac1d03b20b433935f9ce81e15880fe3023e769.gz


commit d0399c8f742090276f8344fb4458cb354a02eb6b
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 14:16:02 2004 +0200

    Added a new member ScanTask.debug to tell if debugging info. should be
    
    Added a new member ScanTask.debug to tell if debugging info. should be
    displayed/reported or not.
    
    darcs-hash:20040407121602-a3a09-69e380fb6342c87e081251fa57da53b8b67f048d.gz


commit 34fc77528ab4cdb0b9175475dd512ad684aca74e
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 14:15:25 2004 +0200

    Improved --debug command line option.
    
    darcs-hash:20040407121525-a3a09-26f6b0820ab79c59456f77e2171841d319645daf.gz


commit a05797ff718c3827815749023b2f36500e482626
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 13:11:20 2004 +0200

    Several enhancements to debugging information.
    
    darcs-hash:20040407111120-a3a09-706d556a82adf9543070d1a9443b81e6fdc5c613.gz


commit 6971b60d558daa3ca23ee44ae4116f6a843c04a3
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 13:09:38 2004 +0200

    Done with logging.
    
    darcs-hash:20040407110938-a3a09-16d64debbf25393975674186305089e5bfd14987.gz


commit acaf0ae93ad8abcbfeb1f14f6f6062ecebc166f1
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 12:25:47 2004 +0200

    Added logging facilities in hlbd.logger and modified the program to use it.
    
    darcs-hash:20040407102547-a3a09-b31920956caa8044e10cd9efd3a5c7db83f05034.gz

 create mode 100644 Halberd/logger.py

commit bcb2949920646ca686242b198e5bf7d1a71d534f
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 02:35:10 2004 +0200

    Improved module documentation.
    
    darcs-hash:20040407003510-a3a09-ec9e77bc24d49ebf53968ed232649fcb19330324.gz


commit 9e729f0a036358f329cd1e109729efa82ba565ba
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 02:26:44 2004 +0200

    Removed a wrong import statement.
    
    darcs-hash:20040407002644-a3a09-09d132deffd26895c3279645fb6810c79682df75.gz


commit dc4cf652660b94e8553c983bd71402a4b61f10a5
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 02:24:22 2004 +0200

    Discarded tlslite as SSL/TLS library of choice.
    
    darcs-hash:20040407002422-a3a09-ea9e9e75eaad553bc984b40b617053351f86e97f.gz


commit 4c1203d4dfbd1707d4c6138d3f8278a84774de74
Author: rwx <jmbr@superadditive.com>
Date:   Wed Apr 7 02:22:19 2004 +0200

    Removed hlbd.ScanTask.ScanTask.setURL and ScanTask.setAddr, its work is
    
    Removed hlbd.ScanTask.ScanTask.setURL and ScanTask.setAddr, its work is
    currently done by hlbd.shell.BaseStrategy._scan directly.
    
    darcs-hash:20040407002219-a3a09-aeb39c54e0937869312fa377411cdc9a37a005e3.gz


commit 6caf1748de13bc1f0829a74a3c019c6c68dee392
Author: rwx <jmbr@superadditive.com>
Date:   Tue Apr 6 14:07:29 2004 +0200

    Removed an unneeded import.
    
    darcs-hash:20040406120729-a3a09-91dbdcebf965ac2a9b45e9e85a7dac7e032483cf.gz


commit 99f443731c3c5c3a3b7c3dd156725ab31ccdae51
Author: rwx <jmbr@superadditive.com>
Date:   Tue Apr 6 14:04:15 2004 +0200

    Added a TODO file.
    
    darcs-hash:20040406120415-a3a09-64105d9fd792c7abafb4b545be50e558f1607e29.gz

 create mode 100644 TODO

commit fa01b7a29e841a115e1c45b725fa35884c2fee09
Author: rwx <jmbr@superadditive.com>
Date:   Tue Apr 6 14:03:01 2004 +0200

    Several clean-ups + inclusion of the TODO file.
    
    darcs-hash:20040406120301-a3a09-1644ab1d5467f84a6d37167c0bd6e37ddbd307e5.gz


commit aa557a23b9d1dccd09b684e31bbce01f4038f613
Author: rwx <jmbr@superadditive.com>
Date:   Tue Apr 6 14:02:30 2004 +0200

    Renamed isDist to isDistributed for better clarity.
    
    darcs-hash:20040406120230-a3a09-ee70fe376f6f96a90653311c38ef8cb0bc41d9f6.gz


commit 70fdedc1a5fd62a3d64359e265797fbfad1461f1
Author: rwx <jmbr@superadditive.com>
Date:   Tue Apr 6 14:01:09 2004 +0200

    Improved documentation.
    
    Improved documentation.
    Allowed users of HTTPClient (and its derivates) to specify the template for the
    HTTP request to be sent.
    
    darcs-hash:20040406120109-a3a09-6f0acbf3cbc8481089e159dafc14d29e0a3cd0e7.gz


commit 220c3c6dc63fc3039f2cd7bb73269bc3a859fb19
Author: rwx <jmbr@superadditive.com>
Date:   Tue Apr 6 14:00:08 2004 +0200

    Refactoring in RPCScanner thread code.
    
    Refactoring in RPCScanner thread code.
    Fixed a subtle synchronization bug which could have caused big headaches.
    
    darcs-hash:20040406120008-a3a09-166979c26c29fb1aa056b2a5e65a0a9e994143de.gz


commit a4585b8090b52ed6a160f514604da05be259a024
Author: rwx <jmbr@superadditive.com>
Date:   Tue Apr 6 13:58:41 2004 +0200

    Improved documentation and made higher level helper methods private.
    
    darcs-hash:20040406115841-a3a09-450d2f44c1bcd0f2b21837545a3b8c3839968d9e.gz


commit 85f452d47fa55747394bae9af889e670d7d8ab69
Author: rwx <jmbr@superadditive.com>
Date:   Tue Apr 6 13:57:39 2004 +0200

    Fixed documentation mistakes.
    
    darcs-hash:20040406115739-a3a09-896f1f001a4df16077d4b3dd4532dc5cae28b542.gz


commit bb5181aac2cbd58d231c0ef369dbfcb25b66636d
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 4 03:19:09 2004 +0200

    Removed temporarily.
    
    darcs-hash:20040404011909-a3a09-17e44c23558b880b3e75be086f4b5b2f68b74ca2.gz

 delete mode 100644 Halberd/proxylib.py

commit 08b59d4fd01fc156ea3839b177bf3fa431f0c481
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 4 03:18:51 2004 +0200

    Fixed a bug regarding hit accounting (issue 80).
    
    Fixed a bug regarding hit accounting (issue 80).
    Improved the clarity of the output.
    
    darcs-hash:20040404011851-a3a09-cae274fe23cbc8a58c7b92c08612d9951a9085ba.gz


commit 240b0c0121544a24e430ae86b72fb67136180542
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 4 03:16:40 2004 +0200

    Refactored MultiScanStrategy.
    
    Refactored MultiScanStrategy.
    Improved module documentation.
    
    darcs-hash:20040404011640-a3a09-5f068a271f1ba361fef5341769935880428aef16.gz


commit e49d0e2502b014f76a45a04a08cb3942e0c27363
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 4 03:15:39 2004 +0200

    Cosmetic changes to the output (in verbose mode).
    
    darcs-hash:20040404011539-a3a09-42f6231dcd08d4d2f67af13618d9423c98f44425.gz


commit 0b96d6e11006acb83ee7fd38430ea2bd7afa2791
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 4 03:15:22 2004 +0200

    Disabled garbage collection debugging hooks.
    
    darcs-hash:20040404011522-a3a09-4b3ad0a459e01a7b1c0950df1f109fb47225770e.gz


commit 9f72b379cf8e36cf80fe61d048714f4c4f1f7d5e
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 4 03:15:01 2004 +0200

    Removed halberd.cfg
    
    darcs-hash:20040404011501-a3a09-ae243e3ece1f611ad773a335561a8fc4f001f53d.gz


commit 8756bec70201d34e8b674892a88f99507b985d14
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 4 03:14:28 2004 +0200

    There's no longer a need to copy halberd.cfg anywhere at install time.
    
    darcs-hash:20040404011428-a3a09-05b3c14ca6cd8e79af00d0e9e2e79f10ba99915b.gz


commit 054bed67620e0d6c0cced9bc4f2061dbce899418
Author: rwx <jmbr@superadditive.com>
Date:   Sun Apr 4 03:13:29 2004 +0200

    No longer needed (it is generated by hlbd.conflib).
    
    darcs-hash:20040404011329-a3a09-e46604926a6a20a226f93dba2a4ee34a13b52552.gz

 delete mode 100644 halberd.cfg

commit 8293fc58ddc34a0801eebc23d8e8cea7ab847174
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:29:19 2004 +0200

    Fixed a small glitch
    
    darcs-hash:20040403152919-a3a09-dd0f3fa853ee6302d9a84df5e5658f402cfd019d.gz


commit 327e5555e1784ab2b7b3a8885a8878403298fb2e
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:24:33 2004 +0200

    No longer needed.
    
    darcs-hash:20040403152433-a3a09-372fbd66381e2c2510e30d796bf94ff51bff0023.gz

 delete mode 100644 tests/test_halberd.py

commit de9366ef6166c3b90a10e258ce1676e8f741272e
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:24:16 2004 +0200

    Removed hlbd.shell *package* from the distribution.
    
    darcs-hash:20040403152416-a3a09-64250eddcef794ef5f588078776a0891d8f31245.gz


commit 3f7880a57b4e2c430441e82fd699d7543f27ccbe
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:23:58 2004 +0200

    Implemented and polished the class hierarchy and code.
    
    darcs-hash:20040403152358-a3a09-0b64c91a5f0822974024ea2fd2801d6bfb1e6347.gz

 create mode 100644 Halberd/shell.py

commit 43f2441e43d238170bfbcae8a439d9f3830d6142
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:12:28 2004 +0200

    Minor package enhancements.
    
    darcs-hash:20040403151228-a3a09-2928e6fbeda5e7f9bfb4518c6ca0157ddd88d05f.gz


commit 30aad86af7ebb5394310801e0d9172ec2133fb44
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:11:02 2004 +0200

    Improved documentation.
    
    darcs-hash:20040403151102-a3a09-92799927623603d2b2125ccd2cf97f194269eb56.gz


commit 4ae9796ce590ecade6fe2e2dc002ddf80887e068
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:10:45 2004 +0200

    Most of the program's inner workings have changed. Now halberd works with a few
    
    Most of the program's inner workings have changed. Now halberd works with a few
    important scanning concepts: tasks, strategies and a pool of scanner threads.
    All the code has changed to accomodate this.  Distributed scan code is MUCH
    more reliable and robust now and the whole program is easier to modify and
    script.
    
    darcs-hash:20040403151045-a3a09-49686480eaaac2a7a8824e5d6f96b49c5d381673.gz

 create mode 100644 Halberd/RPCServer.py
 create mode 100644 Halberd/ScanTask.py
 create mode 100644 Halberd/crew.py

commit 7211ab79906e540f2c4ee0410794972eb868c715
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:07:29 2004 +0200

    Changed to use the new framework.
    
    darcs-hash:20040403150729-a3a09-ed7b52f59a3a8d30005a804c10a5ebcefcc88734.gz


commit 515da329e2d9fdd4ced705a6e9e995ae8ffa9aa5
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:06:14 2004 +0200

    Made some corrections.
    
    darcs-hash:20040403150614-a3a09-1f1ba5318e68dd35225db1770ebf34c2103a50fa.gz


commit 2adde5b10986901dfe4de919a1453b3c22185fa3
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:05:54 2004 +0200

    Modified to generate documentation of modules and not scripts.
    
    darcs-hash:20040403150554-a3a09-ff772c802d62e24b7bc013db5f51337c5ae9f3dd.gz


commit ffc59bcfea681de243a281f5524c3f89726a3eb1
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 17:05:18 2004 +0200

    No longer needed.
    
    darcs-hash:20040403150518-a3a09-83a87f79a575450aec0a88bcfa79eae55596924b.gz

 delete mode 100755 Halberd/shell/core.py

commit d2e968edf7f9a9aab3c77c32dac75fbcb0a629e1
Author: rwx <jmbr@superadditive.com>
Date:   Sat Apr 3 13:50:01 2004 +0200

    Replaced by hlbd.RPCServer
    
    darcs-hash:20040403115001-a3a09-241e273a39235339a9f07314d0be2e9c51d43d4a.gz

 delete mode 100644 Halberd/rpclib.py

commit 2474c65af979dbda3da9e33aa9a048229194fabc
Author: rwx <jmbr@superadditive.com>
Date:   Thu Apr 1 14:28:06 2004 +0200

    Superseded by hlbd.crew
    
    darcs-hash:20040401122806-a3a09-02c31add5461ad0ae1f7e6dcef05c2affbaea48f.gz

 delete mode 100644 Halberd/scanlib.py

commit 59c29865faaaa9e568391404588ef07c36747f18
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 30 16:46:44 2004 +0200

    No longer needed.
    
    darcs-hash:20040330144644-a3a09-d910668a0f38048b0ed79a80caa0579e35ba99cf.gz

 delete mode 100755 Halberd/shell.py

commit b92b79d469c93ee241d3d71c34b45d02191e5fea
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 30 11:25:43 2004 +0200

    No longer needed.
    
    darcs-hash:20040330092543-a3a09-01770d15f75e2df2d6864ea3007112a39ac4f228.gz

 delete mode 100644 Halberd/shell/factory.py

commit d3cd44866452db498c2709e5cd0bb8225c805395
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 12:36:56 2004 +0200

    Fixed the RPC server entry point.
    
    darcs-hash:20040329103656-a3a09-5b13d9fbb447ef08947cfb543deca4a3ef56efbd.gz


commit c497c4ea437cebe5039b77376dda14d184a196fa
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 12:36:22 2004 +0200

    Analyze clues prior to reporting.
    
    darcs-hash:20040329103622-a3a09-cf76c89ebe0f1b3cef0feb55332cd0010435fbbb.gz


commit 085302c8de47322d0c63b2d6cc0bffecc7c6397b
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 12:35:57 2004 +0200

    Fixed an incorrect assertion.
    
    darcs-hash:20040329103557-a3a09-9a53b3b6302013b2acbb793c9833d3032fa15364.gz


commit 7a25f85ea715642bc9031375adb832e00d04dfac
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 11:56:04 2004 +0200

    Removed bulkscan.py.
    
    Removed bulkscan.py.
    Now mass scans can be launched with the --urlfile option of halberd.py
    
    darcs-hash:20040329095604-a3a09-2a17711d257b8f20fac3a7018033525f4385e9d8.gz


commit 2c0fbd5d44064f23df797f6d68e61afcb8382038
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 11:54:33 2004 +0200

    Modified to use hlbd.shell
    
    darcs-hash:20040329095433-a3a09-140072e2f4c7bb2b02174538e239289e9632504e.gz


commit 6b6c8b3ae931a4956c81cb80048a639b30bd0061
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 11:54:21 2004 +0200

    Fixed a problem with default values.
    
    darcs-hash:20040329095421-a3a09-360c1419628165fa1652b2f28b35a95abeb0a524.gz


commit 6a8f3d2e7cac90bbb34c034546cd7fd10d7b6455
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 11:49:06 2004 +0200

    Wrote the hlbd.shell package. It deals with creation and use of different types
    
    Wrote the hlbd.shell package. It deals with creation and use of different types
    of scanners so they can be easily instantiated in several ways. It also eases
    the construction of meta-scanners.
    
    darcs-hash:20040329094906-a3a09-8b770b1374a9f652fb4928253e368772a064a26d.gz

 create mode 100644 Halberd/shell/__init__.py
 create mode 100755 Halberd/shell/core.py
 create mode 100644 Halberd/shell/factory.py
 create mode 100644 Halberd/shell/strategy.py

commit 9c6c03955fdefa4723ffe56e69c74e814bd7e316
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 11:47:53 2004 +0200

    Added the hlbd.shell package to the distribution.
    
    darcs-hash:20040329094753-a3a09-717a1b075b03d692b78acd83f5e1503ea5808cb8.gz


commit 14539267e93f8bf86d54664b4ca09bc85037a4e9
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 11:47:06 2004 +0200

    Slight output changes.
    
    darcs-hash:20040329094706-a3a09-1a6ef47c7c705bd4c636b0fd57b66efa307d1896.gz


commit 3e5cb983dbde3092ad2e66c7326d3acb5c43af05
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 11:46:15 2004 +0200

    Implemented a ClueDir class which deals with hierarchical storage of clues
    
    Implemented a ClueDir class which deals with hierarchical storage of clues
    using the underlying filesystem.
    
    darcs-hash:20040329094615-a3a09-50e54b6d16c87eda52620a4a88c7020b8a6dc100.gz


commit 79504f930b9a6efff756da8996b19d3e0ad83d17
Author: rwx <jmbr@superadditive.com>
Date:   Mon Mar 29 11:45:27 2004 +0200

    No longer needed. Its functionality has been integrated with the main script
    
    No longer needed. Its functionality has been integrated with the main script
    (halberd.py)
    
    darcs-hash:20040329094527-a3a09-dc8dc7defa4624ea61805b04af1b6dae05c86bfc.gz

 delete mode 100755 bulkscan.py

commit 56c767b2b4f1788e39d290cc2b194dde9e5a27fb
Author: rwx <jmbr@superadditive.com>
Date:   Fri Mar 26 01:49:05 2004 +0100

    Improved the portability of the clue storage scheme.
    
    darcs-hash:20040326004905-a3a09-a74c45a50893f2d0d4055e5aa9965f514364e7b0.gz


commit 0f6b194cb6fc327221e90722911eac5ab944c7d5
Author: rwx <jmbr@superadditive.com>
Date:   Fri Mar 26 01:48:25 2004 +0100

    Moved the halberd class into the shell module so it can be easily reused by
    
    Moved the halberd class into the shell module so it can be easily reused by
    meta-scanners.
    
    darcs-hash:20040326004825-a3a09-9f6cd35b38158555249e7ce72f861be18f59262e.gz

 create mode 100755 Halberd/shell.py

commit bc385e0a326201382017826b191f32adb19afbdb
Author: rwx <jmbr@superadditive.com>
Date:   Fri Mar 26 01:46:49 2004 +0100

    Minor corrections.
    
    darcs-hash:20040326004649-a3a09-b99eebb7a6b0436300d0c79d0a763c9c74c359be.gz


commit 16e116717695b601e8a8d8914bf219766256741b
Author: rwx <jmbr@superadditive.com>
Date:   Sun Mar 7 11:29:32 2004 +0100

    Takes generated HTML from reST into account.
    
    darcs-hash:20040307102932-a3a09-ea328bf8873bf80a866555a2c47156a1267bf089.gz


commit 7d20b7c03266806ac6506046b653f8956f533db2
Author: rwx <jmbr@superadditive.com>
Date:   Sun Mar 7 11:29:14 2004 +0100

    Now generates HTML from reStructuredText documents.
    
    darcs-hash:20040307102914-a3a09-a51534b3a660dddb24159ef1358225e8a9f04348.gz


commit 4671c96b25e2b8730cb36ea662d340661fa009fa
Author: rwx <jmbr@superadditive.com>
Date:   Sun Mar 7 11:27:51 2004 +0100

    Converted to reStructuredText.
    
    darcs-hash:20040307102751-a3a09-073e0e4b77035bc533b8ca362dc887e4375e9b20.gz


commit ff72b1ec4c3ee2903c547f1eb313a7f2e67574c1
Author: rwx <jmbr@superadditive.com>
Date:   Sat Mar 6 11:28:21 2004 +0100

    Corrected misspelling.
    
    darcs-hash:20040306102821-a3a09-594d0b8a9500096ad3632f54cef53412bb76bc2d.gz


commit 111d8769a7b181336778ecdb2f121f173ae83f39
Author: rwx <jmbr@superadditive.com>
Date:   Sat Mar 6 11:27:23 2004 +0100

    Improved documentation.
    
    darcs-hash:20040306102723-a3a09-4f86f82a8849fa7856a47bcbe562c23046cbe934.gz


commit 72b672f879894c8b2cf837d58c313f02d5b9b245
Author: rwx <jmbr@superadditive.com>
Date:   Sat Mar 6 11:27:09 2004 +0100

    Small changes to package description.
    
    darcs-hash:20040306102709-a3a09-1d5b0d01e6372f0b9db6361372402ab6a0236daf.gz


commit 3359d055d710f9fdc64de16edde4e3c73497ba91
Author: rwx <jmbr@superadditive.com>
Date:   Sat Mar 6 11:26:26 2004 +0100

    Removed unneeded dependency.
    
    darcs-hash:20040306102626-a3a09-84d3a1a6531afb137ab106af32993f721a23fb1b.gz


commit 53f83e9ed10f68428c0e5d60019bd37eb0823f41
Author: rwx <jmbr@superadditive.com>
Date:   Sat Mar 6 11:26:13 2004 +0100

    Corrected a mistake in the way doctests were executed.
    
    darcs-hash:20040306102613-a3a09-24d4e1a251141d9f8c1c85c835aa06fa495d6a5b.gz


commit aaca181346fc3f4d0731b5c6f5e9d486c48e187a
Author: rwx <jmbr@superadditive.com>
Date:   Sat Mar 6 11:25:16 2004 +0100

    Added new tests.
    
    darcs-hash:20040306102516-a3a09-3e5ff21cd65ae21bd38540daad2eb091114ba947.gz

 create mode 100644 tests/data/hotwired.lycos.com.clu
 create mode 100644 tests/data/login.passport.net.clu
 create mode 100644 tests/data/www.ask.com.clu
 create mode 100644 tests/data/www.cdrom.com.clu
 create mode 100644 tests/data/www.comcast.net.clu
 create mode 100644 tests/data/www.macromedia.com.clu

commit 3aac747d6a4d5ca88ea08998b976fce5cea0d7da
Author: rwx <jmbr@superadditive.com>
Date:   Sat Mar 6 11:25:02 2004 +0100

    Added some new site tests.
    
    darcs-hash:20040306102502-a3a09-2b9b7c4f57a4f25f3315a122f5b30fbe96557abf.gz


commit 6cf7fe8a0be01d7db53b5913f4000bb175d35970
Author: rwx <jmbr@superadditive.com>
Date:   Fri Mar 5 01:31:50 2004 +0100

    Slight user interface changes.
    
    darcs-hash:20040305003150-a3a09-c3d53550307f4feda75532c98efbc8ae7090a24b.gz


commit 0d28eabc7a499ba45f9c45775afd253cdf857a60
Author: rwx <jmbr@superadditive.com>
Date:   Fri Mar 5 01:30:55 2004 +0100

    Corrected a slight mistake in the help output.
    
    darcs-hash:20040305003055-a3a09-e0c5be938605ce3eb4ca0ebf5a6016b8b8d77d4a.gz


commit 62a052969ef1a2202a9ce754676b81be99eab3cd
Author: rwx <jmbr@superadditive.com>
Date:   Fri Mar 5 01:29:08 2004 +0100

    Split TestHTTPSClient.testConnect in two for clarity.
    
    darcs-hash:20040305002908-a3a09-9020a2c4d626744840314ab2af026436269a0100.gz


commit 0d68313884098e8fa7088a815caf4a1458814340
Author: rwx <jmbr@superadditive.com>
Date:   Thu Mar 4 17:09:25 2004 +0100

    Corrections.
    
    darcs-hash:20040304160925-a3a09-5827fa839a56d1abe02617035b6feb33e7a765e3.gz


commit a7a8daaa2082ad4325239ae3339bd1e7d90d3768
Author: rwx <jmbr@superadditive.com>
Date:   Thu Mar 4 12:56:38 2004 +0100

    Updated to take doc/overview.txt into account.
    
    darcs-hash:20040304115638-a3a09-1b42f74b697daa0f82690a97156a0f6ac3ea6f7a.gz


commit c721f3338f9447444c133f1c70fe722663389071
Author: rwx <jmbr@superadditive.com>
Date:   Thu Mar 4 12:55:57 2004 +0100

    Modified to use hlbd.clues.file. Now clues resulting from a massive scan are
    
    Modified to use hlbd.clues.file. Now clues resulting from a massive scan are
    stored in a platform independent way.
    
    darcs-hash:20040304115557-a3a09-2e131ed361c1e394a03c94ca68f8f02e7a372b0e.gz


commit 8779697db8e054e133569fa33463cb3d9a62d554
Author: rwx <jmbr@superadditive.com>
Date:   Thu Mar 4 12:53:26 2004 +0100

    Initial serious documentation.
    
    darcs-hash:20040304115326-a3a09-508dcc6c06cb6ed4800cb311d50730dda371eb72.gz

 create mode 100644 doc/overview.txt

commit c34554e92318a219b2104ab48ab0e1b93714361d
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 16:44:39 2004 +0100

    Fixed a small glitch.
    
    darcs-hash:20040303154439-a3a09-87bc3fdcdc1c7ee96d8f0aca19ce7eef05b72b0a.gz


commit d2e38b1e8b7b036c4e98d4b512bfe5fa60427c55
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 16:22:02 2004 +0100

    hlbd.clues.Clue.normalize has changed so testNormalize had to take the changes
    
    hlbd.clues.Clue.normalize has changed so testNormalize had to take the changes
    into account.
    
    darcs-hash:20040303152202-a3a09-0900a7b9644c2a74f0f86256250cd244e124bc6a.gz


commit 393e56ab01d9a379674da0bd9412f2bd0fd99387
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 16:21:23 2004 +0100

    hlbd.clues.Clue.normalize uses a translation table from hlbd.util to convert
    
    hlbd.clues.Clue.normalize uses a translation table from hlbd.util to convert
    strings into method names.
    hlbd.clues.analysis had to be fixed to allow the doctest suite to run properly.
    
    darcs-hash:20040303152123-a3a09-a3ed8764f9f9102f4eebf8bb3650609ac7600e59.gz


commit b5d4a9eb6f36a2e6eee577d1bd4b67454c39320e
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 16:20:03 2004 +0100

    Added a new module hlbd.util. It will act as a placeholder for functions that
    
    Added a new module hlbd.util. It will act as a placeholder for functions that
    don't fit well anywhere else.
    
    darcs-hash:20040303152003-a3a09-76174194f71393e867490e874490164ee0b28e7d.gz

 create mode 100644 Halberd/util.py

commit e78de1e0b7f67370989c28d666b7131e5ca4e3eb
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 14:31:47 2004 +0100

    Now halberd.readConf catches OSError in case os.mkdir fails when creating a
    
    Now halberd.readConf catches OSError in case os.mkdir fails when creating a
    default configuration file.
    
    darcs-hash:20040303133147-a3a09-45335f91f18db2fa6b742fb729e369c758324fb2.gz


commit dbf80f56eb33d9fb17f717922697f8cfbda802dd
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 14:21:19 2004 +0100

    Early implementation of a proxy.
    
    darcs-hash:20040303132119-a3a09-202f2a33e7b381c0acd1fa34d71e1b2f5cdd1037.gz

 create mode 100644 Halberd/proxylib.py

commit efb7f1053158d53912b43c25988a3464fdfef9bb
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 14:05:22 2004 +0100

    Further readability improvements in HTTPClient._getReply.
    
    Further readability improvements in HTTPClient._getReply.
    Modified HTTPSClient._connect's interface for correctness' sake.
    
    darcs-hash:20040303130522-a3a09-624d7b3346a498a36c48cfab424ddb805d97ae1b.gz


commit 36d6df25bba4094c8022e83af921e918be8fb5d6
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 13:53:32 2004 +0100

    Improved error reporting.
    
    Improved error reporting.
    Now scan_thr catches the appropriate exception when an SSL connection can't be
    established.
    
    darcs-hash:20040303125332-a3a09-5224a93d6dd1a5f831e6f831b07b338317bd3ad7.gz


commit 9beabc0dce5fa388ca09d6c5f477aedd83a92f60
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 13:52:08 2004 +0100

    Introduced an HTTPClient._timeout_exceptions attribute for dealing with SSL
    
    Introduced an HTTPClient._timeout_exceptions attribute for dealing with SSL
    exceptions when reading from the network.
    
    darcs-hash:20040303125208-a3a09-9f4493a9b8e7a47b509433b507725e88bc147e7b.gz


commit 2405f47f1155ff259150595d141e711c17dd4dd6
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 13:11:55 2004 +0100

    Replaced by default configuration file.
    
    darcs-hash:20040303121155-a3a09-08842f462250d01a4d8cd1b5b5c0a6d7cad81300.gz


commit 1eb9b3e8850d931d5cca3a3267b294f56598d7c9
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 13:11:27 2004 +0100

    Slight changes to target distclean.
    
    darcs-hash:20040303121127-a3a09-2a69d699ad5310908f0eb34e787cc11b3a48b9c2.gz


commit 27dd993ac6f732bd0c0dd6f793061d8fc274d3fc
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 13:11:08 2004 +0100

    Increaded verbosity while running the test suite.
    
    darcs-hash:20040303121108-a3a09-503c145e25b1360547f1f2c97153a9ed62c48881.gz


commit e59a8284acd23752792223cd1e1bf74ff2c8b86f
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 13:10:35 2004 +0100

    Improved logging information.
    
    darcs-hash:20040303121035-a3a09-3c69495e7cf838f7bf887f7621242bc399479b5b.gz


commit 69455fc22185028fb436a6120417099f65f374df
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 13:10:20 2004 +0100

    Fixed a typo.
    
    darcs-hash:20040303121020-a3a09-a6ec733f079aa6362ca30d9eb616ec071dce5758.gz


commit ab4248bec552b1cb0430a1b645213804fa719be9
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 12:38:10 2004 +0100

    Added a test for http://www.tripod.com
    
    darcs-hash:20040303113810-a3a09-e055828fe3bb26cbb8fc6f3a364e50d0f99948e9.gz

 create mode 100644 tests/data/www.tripod.com.clu

commit 3b25e8ed3028a331e2c5956588674453a21bc423
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 12:36:42 2004 +0100

    There were two bugs fixed in hlbd.clientlib.HTTPClient._getReply. One of the
    
    There were two bugs fixed in hlbd.clientlib.HTTPClient._getReply. One of the
    related to a condition leading to an endless loop while reading from the
    network and the other had to do with buffer sizes and being able to find the
    end of MIME headers.
    Wrote a test to prevent the fixed bugs from being reintroduced in the future.
    
    darcs-hash:20040303113642-a3a09-c7c1e0449fad39b5fe3a5847e3d1622eb01cce58.gz


commit 1789a05c736037ca393bc34da230478a63fcdc7d
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 12:33:52 2004 +0100

    Fixed two bugs in HTTPClient._getReply.
    
    Fixed two bugs in HTTPClient._getReply.
    Removed the wildcard exception handler in HTTPClient._getReply.
    
    darcs-hash:20040303113352-a3a09-bff628d570ca7b527404d7434abca6d9ab426154.gz


commit 94fda24917924f9dc679d35821304b1a80f0703b
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 10:38:17 2004 +0100

    Made several minor corrections.
    
    darcs-hash:20040303093817-a3a09-1665cf94bb5bda7aeaa29ad297822b0d8111247b.gz


commit ebf76d8f6a14ab989702eee40d74d6217c7464a2
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 10:29:53 2004 +0100

    Corrected documentation.
    
    darcs-hash:20040303092953-a3a09-28b6843973180b29a66ba407e94eae4fd7d7da05.gz


commit 30b2bef89f995a592b7f99a8ce86ddd23387f96c
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 10:29:28 2004 +0100

    Updated documentation.
    
    darcs-hash:20040303092928-a3a09-6532713fe04c3e312fdd81f5a860eab5e134f3a6.gz


commit 9657a898af1c093a04150a425c78e23c9bb2acd0
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 02:14:48 2004 +0100

    Clue.parse now accepts strings in unicode too.
    
    darcs-hash:20040303011448-a3a09-a505d40225f270719a64c27fd80c6080cdf03850.gz


commit e94c8dae6ba8a9b604a4cfd00879e891908bc0d2
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 01:04:40 2004 +0100

    Creates a default configuration file automatically when there is none at the
    
    Creates a default configuration file automatically when there is none at the
    default path.
    
    darcs-hash:20040303000440-a3a09-85776e90bce1622601378085b0408fab8d54088d.gz


commit 5833a5d50b0c28c33959d35eabab69cc17bec4be
Author: rwx <jmbr@superadditive.com>
Date:   Wed Mar 3 01:03:55 2004 +0100

    Implemented ConfReader.writeDefault to write a bare-bones configuration to the
    
    Implemented ConfReader.writeDefault to write a bare-bones configuration to the
    specified file.
    
    darcs-hash:20040303000355-a3a09-2b01c6d5ab53c65a33f0f9d19606263c12dd520a.gz


commit cc2a65534d3f0ef89cf4b77dd2d24d475a6ab1b6
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 12:57:57 2004 +0100

    Now it checks if the server responds with HTTP right at the beginning and if it
    
    Now it checks if the server responds with HTTP right at the beginning and if it
    doesn't aborts without reading anymore data from the network.
    
    darcs-hash:20040302115757-a3a09-3a7fb2c1c3ed9b7297ecfb071680f0fc366696eb.gz


commit d66fcd5fead0034f97e8778020bcbdc14676ecb4
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 12:56:42 2004 +0100

    Removed wrong default path for halberd.cfg
    
    darcs-hash:20040302115642-a3a09-2c0b077bd8a732889054b6c7c73e64d9ef64a03d.gz


commit e1ad28b0ba6f855aaf2db08b96a83d503292e67c
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 03:12:21 2004 +0100

    Improved documentation.
    
    darcs-hash:20040302021221-a3a09-caa65c404239066e073986abf72d26e2c113029b.gz


commit 5539dfba6c044a2d5826111789a24ccd981436ca
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 03:12:04 2004 +0100

    Wrote the remove function and did some slight changes to several targets.
    
    darcs-hash:20040302021204-a3a09-8e10c3337541d8f09e05c7a24a8703ea01da7b5d.gz


commit 86e83018438b102bcd0519987d57ff52e4f28308
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 03:10:30 2004 +0100

    Instead of instantiating hlbd.clientlib.HTTPClient we now call an abstract
    
    Instead of instantiating hlbd.clientlib.HTTPClient we now call an abstract
    client factory which returns the appropriate client class depending on the
    target URL.
    
    darcs-hash:20040302021030-a3a09-5e5c7a27336a0923a530bb98cf51d71e545c4775.gz


commit 0505aab944044592286163a305022be32dcf4bad
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 03:08:38 2004 +0100

    Now `import hlbd.clues' will also take hlbd.clues.file into account.
    
    darcs-hash:20040302020838-a3a09-78aee3abb7baf12997745cc2fbc0b46073bea01c.gz


commit 674852b9b997dd19a937f7f7d917ff71ba3c0ea7
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 03:07:16 2004 +0100

    Wrote test for hlbd.clientlib's SSL support.
    
    darcs-hash:20040302020716-a3a09-695c79a22e9632112b8eea60d1b4593b7a09f0c1.gz


commit db2b13f265fde29946daee28fc778ab12fe06049
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 03:07:01 2004 +0100

    Implemented SSL support.
    
    darcs-hash:20040302020701-a3a09-20f0bfe773d44cfe572d71a55310aa3a4a02b076.gz


commit f12f03f5c2499b80f5a0e8a9f08d13f661615468
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 01:55:54 2004 +0100

    Wrote a better README file
    
    darcs-hash:20040302005554-a3a09-4f3a55e728aad4d7371a5410e1a5ec9a8682d903.gz


commit 6dbc55e908a3d7149e7dc96b1184b3fb1916f9ed
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 01:55:07 2004 +0100

    halberd.cfg is installed in the user's home directory.
    
    darcs-hash:20040302005507-a3a09-4c3b5307d7c7395d86e512b1a6d7b7af122f0ab4.gz


commit 7faff814381bfdbb1890b92e56dd2115740997b7
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 01:54:02 2004 +0100

    Changed the return values for hostname and addresses when errors are found so
    
    Changed the return values for hostname and addresses when errors are found so
    that their callers can deal with them better.
    
    darcs-hash:20040302005402-a3a09-34994172f70e2241c95bd9c21c3bf0df694ef931.gz


commit 48a3eb774968a49dcfbcd388d691de6c851ce5be
Author: rwx <jmbr@superadditive.com>
Date:   Tue Mar 2 01:52:26 2004 +0100

    Fixed a bug in HTTPClient._getHostAndPort.
    
    Fixed a bug in HTTPClient._getHostAndPort.
    Initial work towards a useful HTTPSClient class.
    
    darcs-hash:20040302005226-a3a09-e611d7e15aaba9cda82af7255629c8230202026b.gz


commit 8e81b5ddf1c1d193aea4283fcc0b23ff017e592b
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 26 05:15:03 2004 +0100

    Fixed several glitches in the makefile and added it to the distribution.
    
    darcs-hash:20040226041503-a3a09-c2ca3d0f3af2af73429fdbb94edab439e71a3728.gz


commit 16082feb651f82f3209bb345041e0900c2977c77
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 26 05:12:40 2004 +0100

    Made some changes to conduct the tests faster.
    
    darcs-hash:20040226041240-a3a09-cd1648dff4431259581992e68d2bb1641f277dc3.gz


commit 3e0fc410d4cf9a44c238e5dca9de2c27bc8b8f38
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 12:15:02 2004 +0100

    Added an initial unit test for the main class (Halberd)
    
    darcs-hash:20040225111502-a3a09-66e506d141557942b857c0d5b7e74f2052fe5739.gz

 create mode 100644 tests/test_halberd.py

commit 256008bfc8914605daebf8998fba3237bc171fbb
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 12:10:00 2004 +0100

    Moved the second phase analysis code into hlbd.clues.analysis.reanalyze.
    
    Moved the second phase analysis code into hlbd.clues.analysis.reanalyze.
    Modified clue load/save calls so that the new hlbd.clues.file functions are
    used.
    
    darcs-hash:20040225111000-a3a09-03cac1e57527d8dca2a7c89a3e8d4b97081f5f88.gz


commit 46490bb021d304ffc3d466b5e695984597acd8de
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 12:08:22 2004 +0100

    Wrote documentation for the second phase analysis function.
    
    darcs-hash:20040225110822-a3a09-0a80834ded4f78121373d4de697d0f4c6fea80f5.gz


commit 08f83d60046e0a117c6cbe5a1fa428a4933b4398
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 12:07:51 2004 +0100

    Put an upper bound to the number of clues so the test suite runs faster.
    
    darcs-hash:20040225110751-a3a09-5ec07ba81080b8a873db066636e45c181a07d49f.gz


commit a1afcfad0c4225c02db2e20a604cc6ad608c7ec4
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 05:01:29 2004 +0100

    Wrote test suite for hlbd.clues.file
    
    darcs-hash:20040225040129-a3a09-0b538f1d26f78d6b7a06e47eeb9e8ec7716a67e8.gz

 create mode 100644 tests/test_clues_file.py

commit c27a7630f9e38c5d7a3ba23749ce01c9b50b2bf8
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 05:01:15 2004 +0100

    Wrote platform-independent clue storage functions.
    
    darcs-hash:20040225040115-a3a09-02032f6bc294f787f1b0bc74928c00668e3366ff.gz

 create mode 100644 Halberd/clues/file.py

commit 36cd8e86a86fa462661c3632c548ce1e5d8f4fba
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 04:53:04 2004 +0100

    Auxiliary files for hlbd.clues.analysis' test suite.
    
    darcs-hash:20040225035304-a3a09-a4bc0057ab3b90170702625eb00fdf2f484db59b.gz

 create mode 100644 tests/data/agartha.clu
 create mode 100644 tests/data/email.excite.com.clu
 create mode 100644 tests/data/www.barclays.es.clu
 create mode 100644 tests/data/www.dmoz.org.clu
 create mode 100644 tests/data/www.ebay.com.clu
 create mode 100644 tests/data/www.pogo.com.clu
 create mode 100644 tests/data/www.pricegrabber.com.clu
 create mode 100644 tests/data/www.register.com.clu
 create mode 100644 tests/data/www.sohu.com.clu
 create mode 100644 tests/data/www.synnergy.net.clu
 create mode 100644 tests/data/www.yesky.com.clu

commit 53cce8364ea6ff3b0e397bcac146c8bd7dd1e48e
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 04:52:46 2004 +0100

    Wrote initial test suite for hlbd.clues.analysis
    
    darcs-hash:20040225035246-a3a09-6d31e61e55e389dc368813fa31d3cbb374c93745.gz

 create mode 100644 tests/test_clues_analysis.py

commit 2548bf78b33460e0d04720b76101d4ad56d5edbc
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 04:52:20 2004 +0100

    Moved second stage analysis functionality into this module.
    
    darcs-hash:20040225035220-a3a09-4ddc2150efd63a48618b050e3385f187d62f92e9.gz


commit 0cd081542ce8944f1368e52b59e2cf9959262fee
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 04:51:18 2004 +0100

    Fixed a bug regarding Clue.__tmphdrs
    
    darcs-hash:20040225035118-a3a09-efa9b90df639e7df5b818f8affdb5af6ada06d53.gz


commit 58a2f3ba627db545eb9745029132360ac798a84f
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 02:37:59 2004 +0100

    No longer relevant.
    
    darcs-hash:20040225013759-a3a09-11231c287d17fa7d8149cb8a450d9b531e7c939a.gz

 delete mode 100644 tests/test_cluelib.py

commit 72ca857d727e77f0bf7564074675285315672703
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 02:36:48 2004 +0100

    Fixed a bug in ignore_varying_fields.
    
    darcs-hash:20040225013648-a3a09-1fb3a9eff37a3244ed150a538cd2c8e1156e459e.gz


commit f006a1e5caa46c84d237be0ff0b83d217a8991dd
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 02:36:16 2004 +0100

    Renamed test_cluelib.py as test_clues_Clue.py.
    
    Renamed test_cluelib.py as test_clues_Clue.py.
    Added a test for invalid digest recomputations.
    
    darcs-hash:20040225013616-a3a09-7f8a30ac4b19e1e711723af6eeafdbf791354f27.gz

 create mode 100644 tests/test_clues_Clue.py

commit 8fa57227b3c7d9aa29fc98ac799fbc346fdef602
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 02:35:33 2004 +0100

    Modified Clue.parse to accept headers as either a string or a sequence of name,
    
    Modified Clue.parse to accept headers as either a string or a sequence of name,
    value tuples.
    Added an assertion to ensure Clue._updateDigest is not called without a
    previous call to Clue.parse.
    
    darcs-hash:20040225013533-a3a09-c2021dd4ea02a589b65c2f017910da4a49026b11.gz


commit 24f0848a59478a629527a61b8724e97ce7876160
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 25 02:30:23 2004 +0100

    halberd.hostname now returns None in case the passed URL doesn't have a netloc
    
    halberd.hostname now returns None in case the passed URL doesn't have a netloc
    part.
    bulkscan has been updated to check for that error condition.
    
    darcs-hash:20040225013023-a3a09-d3429041bccc3c85c0b2a04c89a836abc5aa130c.gz


commit 9132a8aa8639dfbb91f4a0feb39b61f9eafb7cba
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 20 13:55:21 2004 +0100

    Adapted to the new results coming out of hlbd.clues.analysis.diff_fields
    
    darcs-hash:20040220125521-a3a09-b71d1843fbc134eb3b628b6b9206cd42ffe001c6.gz


commit d5ae1beee550e6e456b31c0db24df2fdd5fdbf65
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 20 13:54:36 2004 +0100

    Removed the percentage information from the results of diff_fields
    
    darcs-hash:20040220125436-a3a09-52e5e009bc5f92287c8ab8163f68893320c2289b.gz


commit 0d9e61da7e360af979149eab45354290307014e1
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 20 13:50:46 2004 +0100

    Allow the user to specify the destination directory.
    
    Allow the user to specify the destination directory.
    Fixed a bug which involved modifying directly the address attribute without
    taking into account the list of clues (which had to be emptied).
    
    darcs-hash:20040220125046-a3a09-16072092c6a61f6f1f1d0159ef263310ec696a38.gz


commit 740b4ea0f9fc827b8a9cc11022cbc81fd6436e27
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 20 10:35:10 2004 +0100

    Calls hlbd.clues.analysis.hits to obtain the total number of replies.
    
    darcs-hash:20040220093510-a3a09-32e13e21929152b25ff5a1469bbdfa6ad695f470.gz


commit 9dcafade796dd34430edfc0ac8c42027abd730ef
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 20 10:34:50 2004 +0100

    Address the case of a web site producing different MIME fields in its headers
    
    Address the case of a web site producing different MIME fields in its headers
    for each request.
    There's a routine that calls hlbd.clues.analyze.ignore_changing_fields and
    reanalyzes the clues after doing so.
    
    darcs-hash:20040220093450-a3a09-bac20343a1e451a4c434497c92408c0b55594e25.gz


commit 851e2da211ebb98b4e46c1b95f4211602cb1dca3
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 20 10:30:39 2004 +0100

    Implemented ignore_changing_fields and hits.
    
    darcs-hash:20040220093039-a3a09-455fd485e1bc38da478d20a927a87a8409097e09.gz


commit a9743c36a8c32cffdee093db45d3f9b7f2036c53
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 16:01:55 2004 +0100

    Modified in order to distribute bulkscan.py
    
    darcs-hash:20040219150155-a3a09-8e1367bfe23abc1e182fe9652078856126285991.gz


commit 4671e4cf40bebc40f90d10f952338130920b9325
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 16:00:29 2004 +0100

    Refactored Halberd class.
    
    Refactored Halberd class.
    Now scanning all the addresses of a host with DNS RR is the default behaviour.
    
    darcs-hash:20040219150029-a3a09-302f74014ad77b1da70bb6c09c1bc4c19ae15fd2.gz


commit 124bfd16e1aab4483be63acd4f10f2cff9b474ad
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 15:59:37 2004 +0100

    Displays all the cookies instead of just one.
    
    darcs-hash:20040219145937-a3a09-56903349cf728ca7da2340f106e5554d5bdddf86.gz


commit 4a9b235a741ae65c5fba059edb74fef727a8228d
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 15:59:11 2004 +0100

    Improved exception info.
    
    darcs-hash:20040219145911-a3a09-0a6ca741b90676ce39dfcc36e9ced6139ab06fc3.gz


commit a7010ca5bb41749105aeb4fdcaae62f47cfedbcf
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 15:58:39 2004 +0100

    Improved status information.
    
    darcs-hash:20040219145839-a3a09-da8536e1365a9fe8325f8d2cb04ffd8346430def.gz


commit 2e7f20a9fee53e65d8ab724832274d6e4b5fd3c2
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 15:58:14 2004 +0100

    Caught hlbd.clientlib.UnknownReply exception.
    
    Caught hlbd.clientlib.UnknownReply exception.
    Modified the status information so it fits better with multiple address
    scanning.
    
    darcs-hash:20040219145814-a3a09-cc26ea7e560c5db4ad37eb0833a2650e5b71de15.gz


commit 2554dce2390b0e23598a487103ffd3ba6c0d8f38
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 15:57:25 2004 +0100

    Cookies are now stored in a list so all of them are kept.
    
    darcs-hash:20040219145725-a3a09-a6203cdfab153d515ff15e0809e2b6eaa777f3e8.gz


commit d7a4e5783803086b7266a4d97c955fdc7c908f43
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 15:56:23 2004 +0100

    Fixed some documentation mistakes.
    
    darcs-hash:20040219145623-a3a09-0a2b41e12c3f3578a75b88408257fc49e1ac8a70.gz


commit 831bbc68c5eb8f339c482e79a833dba8b4a8a6a5
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 19 15:55:33 2004 +0100

    Wrote a tool for massive scanning.
    
    darcs-hash:20040219145533-a3a09-989dcd862cf6f14cafe9fd8da7bbdf8ab8905999.gz

 create mode 100755 bulkscan.py

commit 614fceaebdd55ff1fe56a81665d9afc2e5389d49
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 20:54:52 2004 +0100

    Added classifiers for the Trove software map (used by PyPI).
    
    darcs-hash:20040215195452-a3a09-4448fb3a84cd3fa4037a1111dc167aad98b63d0f.gz


commit cd851d69a8608e7929b2630df6ac8a3942b575e8
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 19:57:14 2004 +0100

    Added a target for LOC count.
    
    darcs-hash:20040215185714-a3a09-eb5180633327800deaddea25923540aa3d433891.gz


commit 7c22cf75a47b730157050c406e93969e4856d429
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 19:56:54 2004 +0100

    Now merge creates a new clue instead of using the first item of the passed
    
    Now merge creates a new clue instead of using the first item of the passed
    sequence. This allows filter_proxy to work without destroying the original list
    of clues.
    
    darcs-hash:20040215185654-a3a09-d627c472469e5eac934f192894b6629dd789a067.gz


commit 99f0de7e18a5fb58d113e2eb7967cf3e51e40f75
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 19:17:15 2004 +0100

    Now includes itself in the distribution.
    
    darcs-hash:20040215181715-a3a09-ea09989df0e9dce97290228b781fdcc208c90ff9.gz


commit a55e8fc39ffd7a8e748147e4cb0c820b8f03f28e
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 19:02:35 2004 +0100

    Moved tests to another directory following the changes in setup.py
    
    darcs-hash:20040215180235-a3a09-de460e9b10011936194d823b47a69560a2852eff.gz


commit 23cef688a49cf2af96fe8aabc90e75cd9400f40a
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 19:02:00 2004 +0100

    Moved testing framework into setup.py
    
    darcs-hash:20040215180200-a3a09-c8c674fd418327160e092cfe31cc34f5846a752f.gz


commit 58277119650829683b9c9d71ed29cf0a7cf0b952
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 19:01:25 2004 +0100

    Adapted to the current layout of hlbd.clues
    
    darcs-hash:20040215180125-a3a09-86df5f06ac3615ace541742d0f696517d39e74a6.gz


commit 9ffc37e1b069c0db2afb4648e628c236585e04c6
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 18:03:20 2004 +0100

    Clarified some parts of the code.
    
    Clarified some parts of the code.
    Implemented utctime function.
    
    darcs-hash:20040215170320-a3a09-35db4579fbb909f63e711d4f2d42a84ae4e60efe.gz


commit 4b2bbe9b07267ed9ebf6468cac207683ea4aa808
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 18:01:46 2004 +0100

    Distributed scanning now done in parallel with local scanning.
    
    darcs-hash:20040215170146-a3a09-4012e7910f0dcc674cde88832c0cdada308b5ec1.gz


commit 3d5a0a58bcdf31eeb13dc6edfc5c138fd51db7cd
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 18:00:39 2004 +0100

    Improved documentation.
    
    darcs-hash:20040215170039-a3a09-39bfe5e8881bdc70587333b150c6298badcd2f38.gz


commit a395809b2bf0d040c6a61492af73c5d1f132340f
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 15:03:54 2004 +0100

    Wrote useful documentation.
    
    Wrote useful documentation.
    Turned Clue.normalize into a static method.
    
    darcs-hash:20040215140354-a3a09-d9838e93cddc0e93dd5d9e41fddb6eafa7b612e5.gz


commit e11dfd39087adc07e10d4ad1cb04ccae261a983a
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 15 05:33:11 2004 +0100

    Refactored and documented several important functions.
    
    Refactored and documented several important functions.
    The examples in the documentation can be automatically checked out by doctest.
    
    darcs-hash:20040215043311-a3a09-5ad5998781afe518a2280aaa9d56f1ff16216caa.gz


commit 1f7f502484a9245e96a60e137851bb6fef2df17e
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:29:54 2004 +0100

    Updated to the new module layout.
    
    Updated to the new module layout.
    Now dist target doesn't rely on incversion.
    
    darcs-hash:20040213012954-a3a09-d698f12883538924b8c549d5bb3fb20c0763d374.gz


commit 0d6522b1b0969a2a76a69ffc5ec6f39896abfaf5
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:29:10 2004 +0100

    Fixed a typo.
    
    darcs-hash:20040213012910-a3a09-659a0c44ede7a1e0a2b466c41a4a8f332c815f08.gz


commit 39057edf5b687c0b792cb366bae789d692fa881a
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:29:00 2004 +0100

    Implemented the initial version of a working distributed scanning feature.
    
    darcs-hash:20040213012900-a3a09-64e9cde377cb93d172e652505f9d08c472505be6.gz


commit 8cdb866c15632c1e219e27f4b4a7a75a02d6988a
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:27:36 2004 +0100

    Removed unneeded code.
    
    darcs-hash:20040213012736-a3a09-87e44dc8fe2b18cad1192062e6215bb80afd3f7a.gz


commit 5525bc7d75574a5ba4936898d6187cf16740d634
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:24:51 2004 +0100

    Rewrote the RPC mechanism.
    
    darcs-hash:20040213012451-a3a09-c4145ac0a27906f6ac86a33871287fed353a2689.gz


commit 44608f64b3bb5a93f7fa770ec84eaccac5b3bfcb
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:23:24 2004 +0100

    Updated to the new module layout.
    
    darcs-hash:20040213012324-a3a09-23dfbdd40ec082ed163013e6d135483c730a3d83.gz


commit 2efe0869da6c228f54ccf8bbff528e82e06e2aed
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:17:43 2004 +0100

    Splitted cluelib into sub-modules for easier manipulation.
    
    darcs-hash:20040213011743-a3a09-66456a027fa8618e1b5dbd23cd621f1b81d3648f.gz

 create mode 100644 Halberd/clues/Clue.py
 create mode 100644 Halberd/clues/__init__.py
 create mode 100644 Halberd/clues/analysis.py

commit a28f3207aa85d6dd355cd698c9955c806d793620
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:17:10 2004 +0100

    Updated the test cases depending on cluelib.
    
    darcs-hash:20040213011710-a3a09-dff690a26fd8acaa036588e963cbe77b1851b7c5.gz


commit 114d6b3ca7a1a0f70d510663f9958175d9049192
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 13 02:16:55 2004 +0100

    Splitted cluelib into two modules: hlbd.clues.{Clue,analysis}
    
    Splitted cluelib into two modules: hlbd.clues.{Clue,analysis}
    Updated the code depending on cluelib.
    hlbd.scanlib wraps signal handling around exception handlers to avoid problems
    when invoked as an rpc client. This is a kludge and a temporary solution.
    
    darcs-hash:20040213011655-a3a09-ab89515964be35cce20ece83b6e599ff7e817624.gz

 delete mode 100644 Halberd/cluelib.py

commit 57833f0761befcf6bbdde447fd72154742c6c32c
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 12 12:20:38 2004 +0100

    Added configuration file template.
    
    darcs-hash:20040212112038-a3a09-c383bb2b594b4c5ce8604212c3746822c74985d0.gz


commit 191082d3dc60f6a2502341f9690e8592857d2b51
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 12 12:20:11 2004 +0100

    Wrote a module to deal properly with configuration file parsing.
    
    darcs-hash:20040212112011-a3a09-98d6dea8e973aab900e9266f18a582082f548a3b.gz

 create mode 100644 Halberd/conflib.py

commit c91c8bff81b518ebcaf9f5a7753d02bc8d9ff6f6
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 12 12:19:51 2004 +0100

    Improved configuration file handling.
    
    Improved configuration file handling.
    Added a conf. file temlate with the distribution.
    
    darcs-hash:20040212111951-a3a09-9197c2c878151aae71b8f078e9ddd618db66fbe0.gz

 create mode 100644 halberd.cfg

commit d568090a6634788cd8896fe850299fd1322595d0
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 12 12:19:02 2004 +0100

    Added a handler for Cache-expires in Clue.
    
    Added a handler for Cache-expires in Clue.
    Refactored some of find_proxies' auxiliary functions.
    
    darcs-hash:20040212111902-a3a09-5dd9101dba1aa5962666b4f9646bf001f9264653.gz


commit 8bfc95a80ab46c9c977ef668902564f6cc4ebae9
Author: rwx <jmbr@superadditive.com>
Date:   Thu Feb 12 12:15:39 2004 +0100

    Several minor enhancements.
    
    darcs-hash:20040212111539-a3a09-998ccf9c303ab62adc982575a043fe4d68571eef.gz


commit c9c0b550c715a1ff2e3ebf6b1e221c90a63629eb
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 11 12:17:02 2004 +0100

    Performed some refactoring in the analysis functions.
    
    darcs-hash:20040211111702-a3a09-ee220c0c798e25c469933c215d7846bfcfb9a021.gz


commit beddae2e19b412d228a3afc1f275c12833e81876
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 11 11:19:55 2004 +0100

    Added the bare-bones of configuration file handling.
    
    Added the bare-bones of configuration file handling.
    Adapted to the new semantics of hlbd.scanlib.scan
    
    darcs-hash:20040211101955-a3a09-17353d2407c773a0289cc3b13927d49006053bd4.gz


commit 92f4b37bbb838ff9418b5d4f25c9affc6994b987
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 11 11:19:20 2004 +0100

    Now scan doesn't return a tuple with the total number of hits since those can
    
    Now scan doesn't return a tuple with the total number of hits since those can
    be easily calculated from the list of clues.
    
    darcs-hash:20040211101920-a3a09-7074b2abc74363ee4d556ea2617833703f127670.gz


commit 2dd804df98b138a63a5c42120d9e199540404483
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 11 11:18:36 2004 +0100

    Added filter_proxies functionality for detecting proxy-caches on the target.
    
    darcs-hash:20040211101836-a3a09-2e0def3869da0ba1f7a2ba1e7141498cd346260e.gz


commit 5f2e21d7bb8f6c7902351801ba4130a69ce427da
Author: rwx <jmbr@superadditive.com>
Date:   Mon Feb 9 13:07:25 2004 +0100

    Moved the functionality from inspectlib into cluelib.diff_fields
    
    darcs-hash:20040209120725-a3a09-42b2ea8d0eade80618cf7cb58656d01c00da9885.gz

 delete mode 100644 Halberd/inspectlib.py

commit 4ee536687de442258344a320ed889c6ba661d149
Author: rwx <jmbr@superadditive.com>
Date:   Mon Feb 9 13:05:37 2004 +0100

    Several enhancements to the output (now it's much more clear and informative).
    
    darcs-hash:20040209120537-a3a09-b58e068b0b363be4ea9d2b11734a0c098d4fcd16.gz


commit 0da670db9985256fa2047150e9d7dde3c00dac26
Author: rwx <jmbr@superadditive.com>
Date:   Mon Feb 9 13:05:08 2004 +0100

    Fixed locking.
    
    darcs-hash:20040209120508-a3a09-e30f8e1b2c13f71864eb6f45afb3b188c51f4134.gz


commit ba48b658ef44bdacec8f9cbaaf78043962377054
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 8 02:55:05 2004 +0100

    Fixed a small glitch in Clue.parse
    
    darcs-hash:20040208015505-a3a09-956bc2fa6db653577a32a45e8eda11183b044278.gz


commit 2be59f4627d01f64d4308942e69f2235145ab0de
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 22:15:53 2004 +0100

    Moved status updates to the main thread so that they don't slow down the
    
    Moved status updates to the main thread so that they don't slow down the
    scanning.
    The scan can now be interrupted anytime by the user.
    
    darcs-hash:20040207211553-a3a09-1d4f4aaba8ac47c4ede400c4930cb15fd9472220.gz


commit 940112a84cac3fa5f1c1ff6b80a378f1f8248fea
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 20:08:20 2004 +0100

    Fixed one of the targets
    
    darcs-hash:20040207190820-a3a09-c36b32ad41f69caeddc78a92e6c3d236abd5de21.gz


commit 80592eabc9905b1a5cf71755d8152a119727597c
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 18:15:37 2004 +0100

    The scanner runs completely in parallel now.
    
    darcs-hash:20040207171537-a3a09-d15d4ecaa98920c5c7b2efeca0f03f4e8e408e35.gz


commit 20649182445b4f8b1b04c601f82193ab473f6fab
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 18:01:09 2004 +0100

    Refactored find_clusters.
    
    darcs-hash:20040207170109-a3a09-3f7be4bfd8938581e2b6b3061e35528dc411de05.gz


commit e33340f473f23864467f75d85b8074fa287c9055
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 17:59:18 2004 +0100

    Adapted to the new return type of getReply.
    
    darcs-hash:20040207165918-a3a09-c207eb7305ebbd7c919c81cd68edcf621b45e21b.gz


commit b1aba8d81b848e4704af7b1cdd7375bd5ee4a78f
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 14:33:30 2004 +0100

    Began to turn the code into a multi-threaded scanner.
    
    Began to turn the code into a multi-threaded scanner.
    Disabled temporarily the clue inspector.
    
    darcs-hash:20040207133330-a3a09-0873dff9417ff520cd81c10d93cc29a8c57670bf.gz


commit 5b090249bf8743d0086cfa47892008a691d6b1cd
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 14:29:56 2004 +0100

    Added two header handlers in Clue: one for ETag and the other for
    
    Added two header handlers in Clue: one for ETag and the other for
    Last-modified.
    Fixed a serious bug in find_clusters.
    
    darcs-hash:20040207132956-a3a09-47ba794d2533ceb61c4a141deac20d8a4a67a1de.gz


commit 4894ea0ef6dd24a1422b4913a8a04a549c508656
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 14:28:02 2004 +0100

    The skeleton functions for halberd's distributed capabilities have been
    
    The skeleton functions for halberd's distributed capabilities have been
    written.
    
    darcs-hash:20040207132802-a3a09-48aaabd3ef5d3442867536e7be94144554c82a3a.gz

 create mode 100644 Halberd/rpclib.py

commit 3daac80511618543deb4fced7858be80f8a528c6
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 14:27:12 2004 +0100

    Several enhancements were made to the output of the program.
    
    darcs-hash:20040207132712-a3a09-15e23fc4def61e9e4f4bc5e1822dd0aa0917d351.gz


commit c4b649a00c7399fb6cf3fa4b67868353e9d1b850
Author: rwx <jmbr@superadditive.com>
Date:   Sat Feb 7 14:26:04 2004 +0100

    Added some new options (mainly --parallelism) and rearranged the code heavily.
    
    Added some new options (mainly --parallelism) and rearranged the code heavily.
    Now there's a Halber class which encapsulates everything related to the
    scanning/analysis/reporting process.
    
    darcs-hash:20040207132604-a3a09-266f6e955b7f70331b388ed99bfa8b1a36395be2.gz


commit 69fb37956d45c46998e24a1dd79c3f0f537baf40
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 6 17:02:26 2004 +0100

    Modified Clue to make it easier to send it by XML-RPC.
    
    Modified Clue to make it easier to send it by XML-RPC.
    Improved documentation and clarity of the analysis functions.
    
    darcs-hash:20040206160226-a3a09-f519c1f23a34cef4769e9af99a102ffa29f866d4.gz


commit 275e5a284ac20ac6bba6a50914906fa5e6f16d2e
Author: rwx <jmbr@superadditive.com>
Date:   Fri Feb 6 16:59:22 2004 +0100

    Improved timestamp accuracy.
    
    darcs-hash:20040206155922-a3a09-06b22e0ee7c12e734279197845f1beedaf5ce76f.gz


commit f568a3fb1a218744c4a4ba7816fdbffa9fa992de
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 4 05:31:03 2004 +0100

    Beautified HTTPClient._fillTemplate
    
    darcs-hash:20040204043103-a3a09-b761efd34af1b0aa19fb573491ce653e6a5aaea1.gz


commit 985400de41a046387192cfd4f2e46516c592bae5
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 4 05:11:54 2004 +0100

    Removed tests for CmpOperators since they no longer exist in hlbd.cluelib
    
    darcs-hash:20040204041154-a3a09-2c3e559aadf167f423bcf2b9acf28a8586d9d692.gz


commit 254661cfafa9fbc6dc940982db0541e9011ea443
Author: rwx <jmbr@superadditive.com>
Date:   Wed Feb 4 05:11:39 2004 +0100

    Refactored heavily.
    
    darcs-hash:20040204041139-a3a09-2c6366d3faf0859cd57f86013e5af49d92107afa.gz


commit 9d25763db61d3928a77ad486bf7fe02717a17622
Author: rwx <jmbr@superadditive.com>
Date:   Tue Feb 3 20:47:56 2004 +0100

    Began refactoring of analyze.
    
    Began refactoring of analyze.
    CmpOperators were removed from the code. They were no longer needed since clue
    sorting is now done using the decorate-sort-undecorate pattern and
    Clue.__contains__ is not used anymore in analyze. The relevant functionality
    was moved into Clue.__eq__.
    
    darcs-hash:20040203194756-a3a09-4ef9ad486a08289e11e490723eae1a5b00fd95ab.gz


commit 654c88a1da96fd3734a8c4170ef2b263bd8cae2f
Author: rwx <jmbr@superadditive.com>
Date:   Mon Feb 2 08:32:08 2004 +0100

    Fixed a small glitch regarding cluelib.normalize
    
    darcs-hash:20040202073208-a3a09-fbbb69c971f4279e57a9c3b65553d0d1e357aa32.gz


commit 38e5f33196a37e0dced2a93bdde0b3c1353f37f8
Author: rwx <jmbr@superadditive.com>
Date:   Mon Feb 2 08:21:08 2004 +0100

    Wrote some code to detect when the number of clues increments linearly with
    
    Wrote some code to detect when the number of clues increments linearly with
    regard to the received responses. Now there's a piece of code which
    automagickally finds out the MIME headers responsible for such increase and
    ignores them on-the-fly.
    
    darcs-hash:20040202072108-a3a09-73e4293a626c6cf8e93d712d758ed9d886e90a81.gz

 create mode 100644 Halberd/inspectlib.py

commit a26e778966c208c56ad4434c58edd945b5c67242
Author: rwx <jmbr@superadditive.com>
Date:   Mon Feb 2 08:15:50 2004 +0100

    Turned normalize into a conventional function (for use with inspectlib).
    
    Turned normalize into a conventional function (for use with inspectlib).
    Stopped using dictionaries to store MIME headers because field ordering (very
    important) was missing from the hash.
    Now the Server field gets hashed too and a new default handler method for
    Content-Length has been added.
    
    darcs-hash:20040202071550-a3a09-a68460f10aa8666f2140a3c035ea0c8d1f0d4732.gz


commit 7e97a3c97c9645973e8083bfab454524a17a2c70
Author: rwx <jmbr@superadditive.com>
Date:   Mon Feb 2 08:04:46 2004 +0100

    Removed --sockets option.
    
    Removed --sockets option.
    Fixed a bug in make_url.
    Now the user doesn't need to specify --verbose to see the DNS information. It
    is shown by default when the target host resolves to several addresses.
    
    darcs-hash:20040202070446-a3a09-3c422e1cf290debb5a7884f89b095571320fbb64.gz


commit 4d43381645893c5bca2c5f995db57193ab1bda3d
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 1 04:50:28 2004 +0100

    Turned analyze.groups into a generator function.
    
    Turned analyze.groups into a generator function.
    Fixed the Clue._get_* methods so that they work with Clue._normalize.
    
    darcs-hash:20040201035028-a3a09-c42a8329f7dd8e540bc970b763862a4df2b4407e.gz


commit 8c53c14dbbefa2ed2ee4f7fb113ebb001b397713
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 1 04:48:56 2004 +0100

    Fixed a small glitch with make_url
    
    darcs-hash:20040201034856-a3a09-c46166d61a200350ca07ebcc6c0ccd3a2b001e3f.gz


commit 4112f34867fd4ba2a32d57fe3b70c132c66dd76a
Author: rwx <jmbr@superadditive.com>
Date:   Sun Feb 1 04:48:39 2004 +0100

    Now catches hlbd.clientlib.ConnectionRefused and shows the amount of replies
    
    Now catches hlbd.clientlib.ConnectionRefused and shows the amount of replies
    missed due to timeouts.
    
    darcs-hash:20040201034839-a3a09-9a97959e700192892784312497bb4f77670e7302.gz


commit 8e3458b2ba3119a218a77d6357499ca4c4ffe0dd
Author: rwx <jmbr@superadditive.com>
Date:   Sat Jan 31 15:03:59 2004 +0100

    Some tests for hlbd.clientlib have been written.
    
    darcs-hash:20040131140359-a3a09-37bee5922a76e1f811edc7d8a3e17575260ce5b3.gz

 create mode 100644 tests/test_clientlib.py

commit 4161e0660cd5a4824aec92283431ddb95086ad9e
Author: rwx <jmbr@superadditive.com>
Date:   Sat Jan 31 15:03:46 2004 +0100

    hlbd.clientlib has been dramatically simplified and hlbd.scanlib has been
    
    hlbd.clientlib has been dramatically simplified and hlbd.scanlib has been
    changed accordingly. Now hlbd.scanlib performs more reliable (but iterative)
    scans.
    
    darcs-hash:20040131140346-a3a09-0b85dda4c6de390e8ae70c1e988443cd28b4404b.gz


commit 3ca95485a2319e3e02e6b48975882a7459413564
Author: rwx <jmbr@superadditive.com>
Date:   Sat Jan 31 14:59:41 2004 +0100

    Some tests for cluelib have been written.
    
    darcs-hash:20040131135941-a3a09-9042d2625b690220bbf598e0681f6aa69d928c66.gz


commit c5338857f908b7385e4227c19e7fb6e784174591
Author: rwx <jmbr@superadditive.com>
Date:   Sat Jan 31 14:59:21 2004 +0100

    hlbd.cluelib now has a better analysis functionality and some Clue attributes
    
    hlbd.cluelib now has a better analysis functionality and some Clue attributes
    have been replaced for entries in an info dictionary attribute.
    hlbd.reportlib has been updated for to work with the changes in the Clue class.
    
    darcs-hash:20040131135921-a3a09-d9eb27f406025f6f2b8a09fe32ec8b38b4bcdbd1.gz


commit 2eb220cc8921d48fe7570cd664a06c9216a701dc
Author: rwx <jmbr@superadditive.com>
Date:   Sat Jan 31 14:57:48 2004 +0100

    All the analysis functionality has been rewritten and the main module adapted
    
    All the analysis functionality has been rewritten and the main module adapted
    to the changes.
    
    darcs-hash:20040131135748-a3a09-04c8c87c23bef681333da258855de5c9031f5177.gz


commit a5b35cc384a2a976797f3aa742163f991ef56569
Author: rwx <jmbr@superadditive.com>
Date:   Thu Jan 29 14:11:33 2004 +0100

    Added a test for Clue._normalize.
    
    Added a test for Clue._normalize.
    Added a test exercising Clue.incCount's error checking.
    
    darcs-hash:20040129131133-a3a09-a62ce2b51ffee80e218f101a9330b94821be1c03.gz


commit 3a15534c17502b3d47dbf1dad9bc8449ae75c5de
Author: rwx <jmbr@superadditive.com>
Date:   Thu Jan 29 14:10:59 2004 +0100

    Implemented Clue._normalize to avoid getting invalid MIME field names.
    
    Implemented Clue._normalize to avoid getting invalid MIME field names.
    Improved Clue.incCount error checking.
    
    darcs-hash:20040129131059-a3a09-3f70b30f8d58285051f378f50cd723b8c7701df9.gz


commit 02be690ab600f790dad3c4ed8a773b5c9913c79d
Author: rwx <jmbr@superadditive.com>
Date:   Thu Jan 29 03:17:52 2004 +0100

    The file is automatically generated by shtool so there's no need to have the
    
    The file is automatically generated by shtool so there's no need to have the
    file in the repository.
    
    darcs-hash:20040129021752-a3a09-7525e5ce3fa7d6c24d23d8b40935c1c08740afff.gz

 delete mode 100644 Halberd/version.py

commit 176a978fceac7d0a784ba59dc6efc14ebba58157
Author: rwx <jmbr@superadditive.com>
Date:   Thu Jan 29 03:15:42 2004 +0100

    Improved documentation
    
    darcs-hash:20040129021542-a3a09-db26350083e5113730cc6e45e3584a28b1c7e81b.gz


commit 92b276b715e145632705cb4c0da687ad10439826
Author: rwx <jmbr@superadditive.com>
Date:   Thu Jan 29 03:14:56 2004 +0100

    Implemented clue list loading and saving functionality.
    
    Implemented clue list loading and saving functionality.
    Improved documentation.
    
    darcs-hash:20040129021456-a3a09-a658d4175a0f51b7cd5043af7092eeba41919213.gz


commit 77ea279f6a7d53031ff84e34c41b54297ad24fed
Author: rwx <jmbr@superadditive.com>
Date:   Thu Jan 29 03:13:58 2004 +0100

    Moved clue saving code to hlbd.cluelib
    
    darcs-hash:20040129021358-a3a09-eeea24d62ee7a4df601b2054065840918f8a2d5a.gz


commit 0c19da3af564953028ba4827a29b8f50e2cc51a1
Author: rwx <jmbr@superadditive.com>
Date:   Thu Jan 29 03:11:41 2004 +0100

    Rewrote test suite support.
    
    darcs-hash:20040129021141-a3a09-70ac8ce8bdf06cb7433f55e4d09d311b4fb14645.gz

 create mode 100644 tests/__init__.py
 delete mode 100644 tests/test_clue.py
 create mode 100644 tests/test_cluelib.py
 delete mode 100644 tests/test_http.py

commit bb2c23049ba28825a45457c9c13b360673eaedc1
Author: rwx <jmbr@superadditive.com>
Date:   Thu Jan 29 03:10:47 2004 +0100

    Added test suite support.
    
    darcs-hash:20040129021047-a3a09-51c651f4fa7bfc90ecfd43acbba3783448335d64.gz


commit 86474b111d0a2f7f85a49f2687523e4514412678
Author: rwx <jmbr@superadditive.com>
Date:   Tue Jan 27 23:10:02 2004 +0100

    Modified the Clue object so that it can be pickled.
    
    darcs-hash:20040127221002-a3a09-ee73be0e98c089f73022c368e46f2c07a60abdcd.gz


commit d5377bed8fc4adbf49640fe7e14cef02f7977dd0
Author: rwx <jmbr@superadditive.com>
Date:   Tue Jan 27 23:09:31 2004 +0100

    Added --record option to be able to write clues to a file.
    
    Added --record option to be able to write clues to a file.
    This makes it possible to load them again in future executions of the program.
    
    darcs-hash:20040127220931-a3a09-380771225c61da89eb1f14c6c316baad94d85c12.gz


commit bf8417cfaf3010c4440fa9a28a4b4bc816d5c2d0
Author: rwx <jmbr@superadditive.com>
Date:   Tue Jan 27 17:47:42 2004 +0100

    Added --address option.
    
    darcs-hash:20040127164742-a3a09-c1b00e06b73a022ef59627c69ea0bdac85fe0272.gz


commit 5a3fdc8280d127be80b1ab370dfe5da78596b61e
Author: rwx <jmbr@superadditive.com>
Date:   Tue Jan 27 14:15:03 2004 +0100

    Refactored all the clue comparison code into a CmpOperator class which allows
    
    Refactored all the clue comparison code into a CmpOperator class which allows
    the creation of customized comparison functions.
    
    darcs-hash:20040127131503-a3a09-5c5acfc3ef28af36c6bdfe8a7e803a48a0814d5c.gz


commit 035678d1e695d953296d1269c546536c618df615
Author: rwx <jmbr@superadditive.com>
Date:   Tue Jan 27 03:28:32 2004 +0100

    Takes the ChangeLog file into account.
    
    darcs-hash:20040127022832-a3a09-f85eabd4f655f288cde6a55fdce915ab9472f7b8.gz


commit c2de560e400273b7e51e5358176d8133b99df6ac
Author: rwx <jmbr@superadditive.com>
Date:   Tue Jan 27 03:24:30 2004 +0100

    Now distributes the ChangeLog too.
    
    darcs-hash:20040127022430-a3a09-720117fe14a3ac6960e7ef901a249d69a9ace343.gz


commit f15af6fad4511ccafe7e94edde0a0d26264995a1
Author: rwx <jmbr@superadditive.com>
Date:   Tue Jan 27 00:07:31 2004 +0100

    Initial revision
    
    darcs-hash:20040126230731-a3a09-53057b0ad2d5b93317730b13b1ed7621891e9add.gz

 create mode 100644 AUTHORS
 create mode 100644 GNUmakefile
 create mode 100644 Halberd/__init__.py
 create mode 100644 Halberd/clientlib.py
 create mode 100644 Halberd/cluelib.py
 create mode 100644 Halberd/reportlib.py
 create mode 100644 Halberd/scanlib.py
 create mode 100644 Halberd/version.py
 create mode 100644 LICENSE
 create mode 100644 MANIFEST.in
 create mode 100644 README
 create mode 100644 THANKS
 create mode 100755 scripts/halberd
 create mode 100755 setup.py
 create mode 100644 tests/test_clue.py
 create mode 100644 tests/test_http.py
